Čo je nové v NVDA 


%!includeconf: ../changes.t2tconf

= 2013.1.1 =

== Opravy ==
- Ak je predvolený vstupný jazyk nastavený na Japončinu alebo Kórejčinu, NVDA správne interpretuje znaky vo vlastných dialógoch. (#2909)
- V prehliadači Internet Explorer a MSHTML prvkoch NVDA správne oznamuje editačné polia, ktoré sú vyplnené nesprávne. (#3256)


= 2013.1 =
Prednosti tejto verzie zahŕňajú jednoduchšie a intuitívnejšie rozloženie klávesnice laptop, základnú podporu pre Microsoft Powerpoint, oznamovanie dlhých popisov vo webových prehliadačoch a podporu písania na brailovských riadkoch s brailovskou klávesnicou.

== Dôležité ==

=== Nové rozloženie klávesnice laptop ===
V snahe zjednodušiť ovládanie NVDA sme prepracovali rozloženie klávesnice Laptop tak, aby bolo intuitívnejšie.
V novom rozložení sa na prehliadanie  používajú šípky v kombinácií s klávesom NVDA a inými modifikátormi.

Pozorne si prezrite najčastejšie používané skratky, ktoré boli zmenené:
|| Názov | Klávesová skratka |
| Plynulé čítanie | NVDA+a |
| Aktuálny riadok | NVDA+l |
| Aktuálny výber | NVDA+shift+s |
| Stavový riadok | NVDA+shift+end |
okrem iného sa zmenili všetky skratky súvisiace s objektovou navigáciou, plošným prezeraním, ovládaním myši a kruhom nastavení hlasového výstupu.
Pozrite si prosím [Zoznam príkazov keyCommands.html], kde nájdete ostatné skratky.


== Nové vlastnosti ==
- Základná podpora pre úpravu a čítanie prezentácií  v programe Microsoft Powerpoint. (#501)
- Základná podpora pre písanie a čítanie správ v Lotus Notes 8.5. (#543)
- Podpora pre automatické prepínanie jazyka pri čítaní dokumentov v programe MS Word. (#2047)
- V režime prehliadania v MSHTML (ako napríklad Internet explorer) a Gecko (napríklad Firefox), NVDA oznamuje dostupnosť dlhýh popisov. Dlhý popis sa dá zobraziť v novom okne po stlačení NVDA+d. (#809)
- NVDA vie prečítať upozornenia (napríklad pri zablokovaní obsahu alebo sťahovaní súboru) v prehliadači Internet Explorer 9 a novších. (#2343)
- Podporované automatické oznamovanie hlavičiek riadkov / stĺpcov tabuľky v prehliadači Internet Explorer a iných MSHTML prvkoch. (#778)
- NVDA je preložený do Aragónčiny a Írčiny.
- Doplnené brailovské prekladové tabuľky pre Dánsky skratkopis a Kórejský plnopis. (#2737)
- Podpora pre brailovské riadky pripojené cez Bluetooth, ak je použitý Toshiba Bluetooth stack. (#2419)
- Pri používaní riadkov od Freedom scientific je možné vybrať port (Automaticky, USb, bluetooth).
- Zápisníky BrailleNote od Humanware je možné použiť ako externé brailovské riadky. (#2012)
- Podpora pre staršie zobrazovače Papenmeier BRAILLEX (#2679)
- Odteraz je možné písať pomocou 8-bodového počítačového kódu na riadkoch, ktoré majú brailovskú klávesnicu. (#808)
- V dialógu Nastavenia klávesnice pribudli dve položky určujúce, či má NVDA prerušiť reč pri písaní a stlačení klávesu Enter. (#698)
- Podpora viacerých prehliadačov postavených na Google Chrome: Rockmelt, BlackHawk, Comodo Dragon a SRWare Iron. (#2236, #2813, #2814, #2815)


== Zmeny ==
- aktualizovaný prekladač do braillu liblouis na verziu 2.5.2. (#2737)
- Rozloženie klávesnice laptop bolo prepracované v snahe urobiť ovládanie NVDA jednoduchšie a intuitívnejšie. (#804)
- Hlasový výstup eSpeak aktualizovaný na verziu 1.47.07. (#2680, #3124, #3141, #3143, #3172)


== Opravy ==
- Príkazy rýchlej navigácie pre prechod medzi oddeľovačmi fungujú v prehliadači Internet explorer a v MSHTML prvkoch. (#2781)
- Ak sa nepodarí načítať hlasový výstup a NVDA nastaví syntetizér eSpeak alebo Bez reči, tento syntetizér sa neuloží v nastaveniach, takže NVDA sa pokúsi načítať hlasový výstup znovu  pri najbližšom štarte.  (#2589)
- Ak sa nepodarí načítaťbrailovský riadok a NVDA nastavímožnosť žiadny zobrazovač, tento   sa neuloží v nastaveniach, takže NVDA sa pokúsi načítať zobrazovač znovu  pri najbližšom štarte.  (#2589)
- V režime prehliadania v Mozilla aplikáciách sa správne zobrazuje tabuľka, ktorá sa aktualizovala. NVDA správne oznamuje súradnice buniek a funguje navigácia po tabuľke. (#2784)
- pri prehliadaní internetových stránok v režime prehliadania, sú správne spracované nepopísané klikateľné obrázky. (#2838)
- Podpora pre staršie a novšie verzie SecureCRT . (#2800)
- Vo vstupných metódach pre Windows XP, ako napríklad Easy Dots IME, sú správne oznamované zmeny predbežného návrhu.
- V zozname návrhov pri použití Microsoft Pinyin vstupnej metódy pre zjednodušenú Čínštinu v systéme Windows 7, správne funguje ľavá a prává šípka na presun medzi stránkami a kláves Home pre otvorenie zoznamu.
- Ak sa uložia zmeny v nastavení výslovnosti interpunkčných a špeciálnych symbolov, pokročilé nastavenie preserve sa nestratí. (#2852)
- po vypnutí automatickej kontroly aktualizácií sa zmena prejaví okamžite a nie až po reštarte NVDA.
- MVDA nezamrzne, ak pri štarte nemôže odstrániť priečinok po odstránenom doplnku, ak je tento používaný inou aplikáciou. (#2860)
- Názvy záložiek v nastaveniach aplikácie Dropbox sa dajú čítať pomocou plošného prezerania.
- Ak sa zmení rozloženie klávesnice na iné ako predvolené, NVDA správne interpretuje klávesy pre príkazy a v nápovede vstupu.
- Pre jazyky, v ktorých je symbol + (plus) samostatným klávesom (napríklad aj v slovenčine) je možné použiť tento kláves pri priraďovaní klávesových skratiek tak, že napíšete slovo "plus". (#2898)
- V prehliadači Internet explorer a v MSHTML prvkoch sú správne oznamované citácie. (#2888)
- Zobrazovač HumanWare série Brailliant BI/B sa dá používať cez Bluetooth aj v prípade, že nebol doposiaľ pripojený cez USB.
- Zadanie veľkých písmen do filtra v zozname prvkov vráti ako výsledok všetky zhody, aj také, ktoré obsahujú malé písmená. Doposiaľ použitie veľkých písmen vrátilo prázdny výsledok. (#2951)
- V prehliadačoch Mozilla je opäť možné použiť režim prehliadania v prípadoch, ak má fokus Flash objekt. (#2546)
- Ak je použitá prekladová tabuľka brailu pre skratkopis a je začiarknuté "Slovo, kde sa nachádza kurzor zobraziť počítačovým braillom", brailovský kurzor je správne umiestnený aj v prípadoch, ak slovo pred kurzorom obsahuje viacbunkové znaky (veľké písmená, číselný znak, znak pre písmená a podobne). (#2947)
- Na brailovských riadkoch sa správne zobrazuje výber textu v aplikáciách Microsoft word 2003 a editačných poliach programu Internet Explorer.
- Opäť je možné vyberať text v aplikácii Microsoft Word pri aktívnom brailovskom riadku.
- NVDA správne oznamuje viacbytové znaky pri úprave a čítaní v editačných poliach Scintilla. (#2855)
- NVDA nespadne počas inštalácie, ak cesta k užívateľským dátam obsahuje niektoré viacbytové znaky. (#2729)
- Oznamovanie zoskupení v zoznamoch (SysListview32) v 64-bitových aplikáciách nespôsobuje chybu.
- V režime prehliadania v prehliadači Firefox nie je v ojedinelých prípadoch  text oznamovaný ako editačné pole. (#2959)
- V programoch IBM Lotus Symphony a OpenOffice sa pri pohybe textovým kurzorom pohybuje aj prehliadací kurzor, ak je to potrebné.
- obsah Adobe Flash je prístupný v prehliadači Internet Explorer v systéme Windows 8. (#2454)
- Opravená bluetooth podpora pre riadky Papenmeier Braillex Trio. (#2995)
- Opravená chyba, pri ktorej nebolo možné používať niektoré syntézy pod Microsoft Speech API 5, ako napríklad hlasy Koba Speech 2. (#2629)
- V aplikáciách využívajúcich Java Access Bridge sa brailovský riadok správne aktualizuje pri zmene polohy systémového kurzora v editačných poliach. (#3107)
- Podpora pre oblasť formulár v dokumentoch, na ktorých sa využívajú oblasti stránky. (#2997)
- ovládač syntézy eSpeak lepšie spracúva znaky pri čítaní po znakoch (oznamuje názov znaku alebo jeho hodnotu a nie len čistý zvuk). (#3106)
- NVDA viac nezamrzne pri pokuse skopírovať používateľské nastavenia na prihlasovaciu obrazovku a zabezpečené obrazovky, ak cesta profilu používateľa obsahuje aj iné ako ascii znaky. (#3092)
- NVDA nezamrzne pri písaní ázijskych znakov v .net aplikáciách.  (#3005)
- Odteraz je možné používať režim prehliadania v štandardnom režime prehliadača Internet Explorer 10, napríklad  na prihlasovacej stránke www.gmail.com. (#3151)
- Opravené slovenské názvy niektorých interpunkčných znakov. NVDA odteraz správne číta horné a dolné úvodzovky, rovnako správne oznamuje pomlčky a spojovníky a pomenovania lomeno a podčiarknutie boli nahradené správnymi označeniami lomka a podčiarkovník.


= 2012.3 =
Prednosti tejto verzie zahŕňajú podporu pre písanie ázijských znakov, experimentálnu podporu dotykových obrazoviek v systémoch Windows 8, oznamovanie čísel strán a lepšiu navigáciu v tabuľkách programu Adobe Reader, podporu pre tabuľkové príkazy v tabuľkách a zoznamoch systému Windows, podporu pre nové brailovské riadky a možnosť oznamovania hlavičiek riadkov / stĺpcov v programe Microsoft Excel.

== Nové vlastnosti ==
- NVDA podporuje písanie znakov pre ázijské jazyky pomocou IME alebo textovej služby vo všetkých aplikáciách. Okrem toho:
- navigáciu a možnosť výberu znaku v zozname návrhov;
- navigáciu a možnosť výberu v práve skladanom reťazci;
- oznamovanie zmien v predbežnom návrhu.
- NVDA dokáže oznámiť podčiarknutie a prečiarknutie v programe Adobe Reader. (#2410)
- Ak je zapnutá funkcia jedným prstom, kláves NVDA sa bude správať ako iné modifikačné klávesy Windows (Ctrl, Alt, Windows). Toto vám umožňuje používať kláves NVDA bez toho, aby ste ho museli držať súčasne s inými klávesmi. (#230)
- V programe Microsoft Excel je možné nastaviť automatické oznamovanie hlavičiek riadkov a stĺpcov. Stlačením NVDA+shift+c nastavíte riadok, ktorý obsahuje hlavyčky stĺpca a stlačením NVDA+shift+r nastavíte stĺpec obsahujúci hlavičky riadku. Dvojnásobným stlačením hociktorého z týchto príkazov dva krát rýchlo za sebou vymažete nastavenie. (#1519)
- Podpora brailovských riadkov Braille Sense, Braille EDGE a SyncBraille od spoločnosti HIMS. (#1266, #1267)
- Podpora pre notifikačné oznamy tzv. toast notifications v systéme Windows 8. Pri zobrazení takéhoto upozornenia NVDA prečíta obsah a nastaví na oznámenie navigačný objekt. (#2143)
- experimentálna podpora pre dotykové ovládanie v systémoch Windows 8 zahŕňa:
- Čítanie textu pri pohybe prstom po obrazovke
- Gestá pre objektovú navigáciu, plošné prezeranie a iné príkazy NVDA.
- Aplikačný modul pre program VIP Mud. (#1728)
- Ak má tabuľka v dokumente programu Adobe Reader súhrn, NVDA ho prečíta. (#2465)
- NVDA oznamuje čísla riadkov a hlavičky stĺpcov v programe Adobe Reader. (#2193, #2527, #2528)
- Nové Jazyky: Amharčina, Kórejčina, Nepálčina a Slovinčina.
- NVDA dokáže čítať návrhy pri automatickom dokončovaní adries v programe Microsoft Outlook 2007. (#689)
- Nové varianty pre hlas eSpeak: Gene, Gene2. (#2512)
- NVDA oznamuje čísla strán v programe Adobe  Reader. (#2534)
- V programe Adobe Reader 11 sú čísla strán oznamované bez ohľadu na umiestnenie čísla strany. NVDA tiež správne interpretuje zmenu číslovania v rôznych sekciách. V starších verziách programu Adobe Reader oznamuje NVDA čísla strán poporadí.
- Odteraz je možné vrátiť sa k pôvodným nastaveniam. Možnosť je dostupná z ponuky NVDA aktivovaním položky Obnoviť predvolené nastavenia, alebo stlačením skratky Nvda+Ctrl+r trikrát rýchlo za sebou. (#2086)
- Podpora pre brailovské riadky Seika verzie 3, 4 a 5 a Seika80 od firmy Nippon Telesoft. (#2452)
- na brailovských riadkoch Focus / PAC Mate od Freedom Scientific funguje prvé a posledné smerové tlačidlo na pohyb dopredu a dozadu.
- pre tieto riadky boli doplnené aj ďalšie funkcie. Využívajú sa tlačidlá Advanced bar a Rocked bar +ďalšie klávesové kombinácie. (#2516)
- V aplikáciách, ktoré využívajú IAccessible2 (napríklad Mozilla Firefox, Thunderbird...) hlavičky riadkov / stĺpcov tabuľky sú oznamované aj mimo režimu prehliadania. (#926)
- Základná podpora pre MS Word 2013. (#2543)
- NVDA dokáže oznámiť zarovnanie textu v aplikáciách využívajúcich IAccessible2, funguje napríklad v Mozilla aplikáciách. (#2612)
- Ak sa nachádzate v riadku tabuľky alebo v štandartnom zozname s viacerými stĺpcami, na pohyb po stĺpcoch môžete použiť príkazy pre navigáciu v tabuľkách. (#828)
- Nové brailovské tabuľky: Estónsky plnopis, Portugalský 8-bodový počítačový  brail, Taliansky 6-bodový počítačový brail. (#2139)
- Ak je NVDA nainštalovaný v systéme, otvorenie doplnku s príponou nvda-addon (napr. potvrdením v zozname súborov alebo otvorením priamo v internetovom prehliadači) automaticky nainštaluje doplnok. (#2306)
- Podpora pre novšie brailovské riadky Papenmeier BRAILLEX. (#1265)
- V programe prieskumník systému Windows 7 a novších je oznamovaná správne informácia o pozícii napr. 1 z 4. Rovnako toto platí pre ostatné prvky sprístupnené pomocou UIAutomation, ktoré implementujú vlastnosti itemIndex a itemCount. (#2643)


== Zmeny ==
- V dialógu Prehliadací kurzor a objektová navigácia upravená položka sledovať systémový fokus. Týka sa len anglickej lokalizácie NVDA, keďže boli rozdiely v popise prvku a používateľskej dokumentácii.
- Ak je brailovský kurzor zviazaný s prehliadacím kurzorom a kurzor nie je na textovom objekte (napríklad editačnom poli), smerové tlačidlá automaticky aktivujú objekt. (#2386)
- Možnosť "Uložiť nastavenia pri ukončení" je predvolene začiarknutá.
- pri aktualizácii NVDA sa nezmení skratka NVDA na Ctrl+Alt+n, ak ju užívateľ pred aktualizáciou zmenil. (#2572)
- V správcovy doplnkov sa najprv zobrazuje názov doplnku a potom jeho stav. (#2548)
- Pri inštalácii tej istej alebo novej verzie doplnku sa NVDA opýta, či chcete aktualizovať   doplnok. NVDA nezobrazí chybu a nezatvorí okno s inštaláciou doplnku. (#2501)
- Príkazy objektovej navigácie podávajú stručnejšiu informáciu o objekte. Podrobnejšiu informáciu získate prečítaním aktuálneho objektu. (#2560)
- aktualizovaný prekladač do braillu liblouis na verziu 2.5.1. (#2319, #2480, #2662, #2672)
- Dokument "zoznam klávesových príkazov" bol premenovaný na "Zoznam príkazov", lebo obsahuje aj dotykové gestá.
- Dialóg zoznam prvkov v režime prehliadania si počas behu NVDA zapamätá výber typu prvku napr. nadpis. (#365)
- pri používaní väčšiny metro aplikácií v systéme Windows 8 (napríklad E-mail a kalendár) sa režim prehliadania neaktivuje pre celú aplikáciu.
- Aktualizovaný ovládač Handy Tech COM-Server na verziu 1.4.2.0.


== opravy ==
- V systémoch Windows Vista a novších, po zamknutí počítača pomocou Windows+l a opätovnom odomknutí, NVDA správne vyhodnocuje stav klávesu Windows. (#1856)
- V programe Adobe Reader sú hlavičky tabuliek správne rozpoznané ako bunky, znamená to, že sú správne oznamované ich súradnice a je možné k nim pristupovať štandardnými navigačnými príkazmi dostupnými počas navigácie v tabuľkách. (#2444)
- V programe Adobe Reader sú správne spracované bunky tabuliek, ktoré zaberajú viac stĺpcov alebo riadkov tabuľky. (#2437, #2438, #2450)
- Súbor s balíkom NVDA pred spustením skontroluje svoj kontrolný súčet. (#2475)
- Ak zlyhá aktualizácia NVDA, stiahnutý súbor sa vymaže. (#2477)
- Ak je NVDA spustený s právami administrátora, nezamrzne pri kopírovaní nastavení do systémového priečinka (týka sa nastavení na prihlasovacích a zabezpečených obrarzovkách). (#2485)
- Dlaždice na štartovacej obrazovke v systéme Windows 8 sú lepšie oznamované hlasom, aj na brailovských riadkoch. NVDA neopakuje názvy, zbytočne neoznamuje "nevybraté" a číta aktuálny stav (napríklad aktuálnu teplotu pre aplikáciu Počasie.)
- NVDA nečíta heslá v Microsoft Outlooku alebo v iných štandardných  chránených  editačných poliach. (#2021)
- V programe Adobe Reader sú správne oznamované zmeny vo formulároch pri čítaní v režime prehliadania. (#2529)
- Vylepšená podpora pre kontrolu pravopisu v programe Microsoft Word. Presnejšia detekcia slov s pravopisnými chybami a čítanie dialógu pravopis a gramatika ak je NVDA nainštalovaný v systéme Windows Vista a novších.
- Vo väčšine prípadov je možné inštalovať doplnky, ktoré obsahujú súbory so špeciálnymi národnými znakmi. (#2505)
- V programe Adobe Reader si NVDA pamätá jazyk textu pri listovaní v dokumente alebo obnovení dokumentu. (#2544)
- Ak inštalujete doplnok, v potvrdzovacom dialógu NVDA zobrazí názov vybratého doplnku v aktuálnom jazyku, ak je názov  preložený. (#2422)
- V aplikáciách, ktoré využívajú UI Automation (.net a aplikácie Silverlight) sú správne oznamované číselné hodnoty prvkov, napríklad posuvníkov. (#2417)
- Pri inštalácii, vytváraní prenosnej verzie a podobne sa použije aktuálne nastavenie pre oznamovanie aktualizácie priebehu. (#2574)
- príkazy NVDA sa nedajú používať z brailovského riadka, ak je zobrazená zabezpečená obrazovka (napríklad pri zamknutí systému). (#2449)
- Ak sa zmení text v režime prehliadania, zmena sa správne zobrazí na brailovskom riadku. (#2074)
- Na zabezpečených obrazovkách NVDA ignoruje správy, ktoré sú posielané priamo z externých aplikácii.
- V režime prehliadania kurzor nepreskakuje na začiatok dokumentu, ak užívateľ stlačí na poslednom znaku pravú šípku, alebo ak sa pokúsi prejsť za skupinu prvkov, ktorá je na konci dokumentu. (#2463)
- nadbytočný obsah nie je oznamovaný pri čítaní dialógov vo webových aplikáciách (ARIA dialógy bez definovanej vlastnosti aria-describedby ). (#2390)
- NVDA viac neoznamuje nesprávne typ editačné pole v MSHTML dokumentoch (napríklad v prehliadači Internet Explorer) v prípade, že autor dokumentu explicitne deklaroval typ prvku pomocou Aria. (#2435)
- pri zapnutom čítaní po slovách v príkazovom riadku Windows NVDA správne spracuje kláves Backspace. (#2586)
- Súradnice buniek tabuľky v programe MS Excel sa opäť zobrazujú na brailovských riadkoch.
- NVDA sa nezasekne v odseku so zoznamom v MS Worde pri pokuse opustiť odrážku ľavou šípkou alebo ctrl+ľavá šípka. (#2402)
- V režime prehliadania v Mozilla aplikáciách nie sú viac nesprávne zobrazované položky v zoznamových rámikoch (najčastejšie zoznamové rámiky typu ARIA).
- Prvky, ktoré boli nesprávne zobrazené alebo boli nahradené znakom 0 V režime prehliadania v Mozilla aplikáciách, sú odteraz zobrazované správne.
- Odstránené nadbytočné znaky 0 v režime prehliadania v Mozilla aplikáciách.
- V režime prehliadania sú správne ignorované obrázky, ktoré majú len prezentačný význam (atribút alt="").
- NVDA odteraz v internetových prehliadačoch nezobrazuje obsah, ktorý má byť skrytý pre čítače obrazovky (ak sa použije atribút aria-hidden). (#2117)
- Záporné peňažné hodnoty, ako napríklad -$123, sú vždy oznamované ako záporné, bez ohľadu na nastavenie úrovne interpunkcie.  (#2625)
- Počas plynulého čítania sa NVDA nevráti do pôvodného jazyka, ak veta pokračuje na nasledujúcom riadku. (#2630)
- Informácie o type písma sú správne detekované v programe Adobe Reader 10.1 a novších (#2175)
- Ak je v dokumente programu Adobe reader dostupný alternatívny text, bude použitý len tento text. Doteraz NVDA čítal nadbytočný text. (#2174)
- Ak dokument obsahuje aplikáciu, obsah aplikácie sa nezobrazí v režime prehliadania. Toto zabraňuje nechcenému vstupu do aplikácie počas čítania dokumentu. S aplikáciou môžete pracovať rovnako, ako s vnorenými objektmi. (#990)
- NVDA správne oznamuje zmenu hodnoty prepínacích tlačidiel v Mozilla aplikáciách. (#2653)
- Aktualizovaná podpora pre program Adobe Digital Editions po vydaní verzie digital editions 2.0. (#2688)
- Po stlačení NVDA+šípka hore v zoznamových rámikoch MSHTML napr. v programe internet explorer nebudú viac oznamované všetky položky zoznamového rámika. Správne bude prečítaná len aktuálna položka. (#2337)
- Rečové slovníky je možné uložiť aj v prípade ak pole vzor alebo pole nahradiť s obsahuje znak krížik "#". (#961)
- V MS HTML dokumentoch sa v prehliadači Internet Explorer správne zobrazuje viditeľný obsah v neviditeľnom obsahu (napríklad prvky s atribútom visibility:visible vo vnútry prvku s atribútom visibility:hidden). (#2097)
- Odkazy v centre zabezpečenia systému Windows XP nezahŕňajú za svojim názvom náhodný text. (#1331)
- Editačné polia sprístupnené pomocou UI Automation (napr. vyhľadávacie pole ponuky štart systému Windows 7) sú oznamované pri zameraní kurzorom myši.
- NVDA neoznamuje zmeny rozloženia klávesnice počas plynulého čítania (toto sa týkalo viacjazyčných dokumentov, ktoré obsahovali text v Arabčine). (#1676)
- Kompletný obsah editačných polí sprístupnených pomocou UI Automation (napr. vyhľadávacie pole ponuky štart systémov Windows 7/8) nie je viac oznamovaný pri zmene textu.
- Pri pohybe medzi skupinami dlaždíc v systéme Windows 8 nie je v skupinách bez názvuprvá dlaždica oznamovaná ako názov skupiny. (#2658)- Pri otváraní ponuky štart Windows 8je fokus umiestnený na prvú dlaždicu namiesto koreňovej vetvy, čo môže spôsobiť problémy počas navigácie. (#2720)
- pri otváraní ponuky štart Windows 8 je fokus umiestnený na prvú dlaždicu namiesto koreňovej vetvy, čo môže spôsobiť problémy počas navigácie. (#2720)
- Spustenie NVDA nezlyhá ak cesta profilu používateľa obsahuje viacbytové znaky. (#2729)
- V režime prehliadania v prehliadači Google chrome sú správne oznamované názvy záložiek.
- Tlačidlá pre menu sú správne oznamované v režime prehliadania.
- V Aplikáciách OpenOffice.org/LibreOffice Calc správne funguje čítanie buniek v zošitoch. (#2765)
- NVDA správne funguje v zobrazení e-mailov pri použití služby Yahoo! v prehliadači Internet Explorer. (#2780)


= 2012.2.1 =
Táto verzia rieši viacero potencionálnych bezpečnostných problémov. Prostredie python bolo aktualizované na verziu 2.7.3.


= 2012.2 =
Prednosti tejto verzie zahŕňajú: vstavaný inštalátor a možnosť vytvorenia prenosnej verzie, automatické aktualizácie, jednoduchú správu doplnkov, čítanie grafických prvkov v programe Microsoft word, podporu pre metro aplikácie Windows 8, a množstvo dôležitých opráv.


== Nové vlastnosti ==
- NVDA odteraz dokáže skontrolovať, stiahnuť a nainštalovať aktualizácie. (#73)
- Rozšíriť funkcionalitu NVDA je možné pomocou správcu doplnkov pridaného do ponuky nástroje. Tento nástroj umožňuje automatickú inštaláciu a odstránenie doplnkov pre NVDA - súborov s príponov *.nvda-addon. Tieto súbory môžu obsahovať pluginy a ovládače hlasových výstupov alebo hmatových displejov. V okne správca doplnkov nebudú zobrazené staršie aplikačné moduly, pluginy ani ovládače, ručne nakopírované do priečinka s používateľskými nastaveniami NVDA. Ručne skopírované súbory je vhodné nahradiť balíčkami .nvda-addon hneď, ako budú dostupné. (#213)
- V prípade, že používate nainštalovanú verziu je množstvo obvyklých vlastností NVDA teraz funkčných aj v prostredí metro systému Windows 8. Toto zahŕňa napr. oznamovanie napísaných znakov a podporu pre web dokumenty (vrátane podpory metro verzie programu Internet explorer 10). (#1801)
- Pomocou klávesových príkazov shift+, a , je možné v dokumentoch sprístupnených v režime prehliadania prejsť na začiatok a za koniec niektorých objektov napr. zoznamov a tabuliek, ktoré zoskupujú prvky rovnakého typu. (#123)
- Lokalizácia do gréčtiny.
- Grafické prvky a ich textové popisky sú oznamované v programe Microsoft word. (#2282, #1541)


== Zmeny ==
- Oznamovanie súradníc buniek v programe Microsoft excel je za obsahom namiesto doterajšieho oznamovania pred obsahom. Súradnice sú oznamované len v prípade, že v dialógu nastavenia čítania textu sú zaškrtnuté políčka oznamovať tabuľky a oznamovať súradnice buniek tabuľky. (#320)
- NVDA je odteraz distribuovaný v jednom balíku. Inštalačný súbor a súbor prenosnej verzie bol nahradený jedným súborom. Po jeho spustení je možné NVDA nainštalovať, alebo vytvoriť prenosnú verziu.
- NVDA sa vždy nainštaluje do priečinka Program Files vo všetkých systémoch. Ak je NVDA nainštalovaný v inom adresári, počas novej inštalácie sa automaticky súbory presunú do nového priečinka.


== opravy ==
- pri zapnutej automatickej zmene jazyka NVDA správne určí jazyk v alternatívnych popisoch obrázkov a popisoch prvkov v Mozilla Gecko (napríklad Firefox) ak sú označené správne.
- Pri plynulom čítaní v programe BibleSeeker (a iných TRxRichEdit prvkoch) neskončí čítanie uprostred textu.
- Sprístupnené sú zoznamy v dialógu vlastnosti súboru, na karte oprávnenia v systéme Windows 8 a tiež zoznamy v programe Windows update systému Windows 8.
- NVDA nezamrzne v programe MS Word v prípade, ak výber textu trvá dlhšie, ako dve sekundy (týka sa dlhých riadkov alebo obsahov). (#2191)
- Detekcia začiatku a konca slova správne funguje aj v prípadoch, keď za znakmi ako medzera, tabulátor a koniec riadku nasledujú niektoré interpunkčné znaky. (#1656)
- V programe Adobe reader je v režime prehliadania pomocou príkazov rýchlej navigácie aj v zozname prvkov možné prejsť na nadpisy bez uvedenej úrovne. (#2181)
- V programe Winamp je správne aktualizovaný braillovský riadok počas navigácii v okne playlist editor. (#1912)
- Stromové zobrazenie v dialógu zoznam prvkov dostupného z režimu prehliadania má správnu veľkosť, aby bolo možné vidieť texty všetkých zobrazených prvkov. (#2276)
- V aplikáciách sprístupnených pomocou Java access bridge je v brailly správne zobrazovaný obsah editačných polí. (#2284)
- V aplikáciách sprístupnených pomocou Java access bridge nie sú v obsahu editačných polí náhodne oznamované nezmyselné znaky. (#1892)
- V aplikáciách sprístupnených pomocou Java access bridge je možné prečítať obsah aktuálneho riadku aj ak sa kurzor nachádza na konci textu. (#1892)
- V režime prehliadania v programe Firefox 14 a novších funguje správne navigácia po citáciách a vnorených objektoch. (#2287)
- V programe internet explorer 9 NVDA nečíta náhodný obsah pri vstupe do odseku, ktorý môže nadobudnúť systémový fokus alebo je označený ako oblasť stránky pomocou ARIA.
- Ikona NVDA na pracovnej ploche a v ponuke štart sa v 64bitových systémoch Windows zobrazuje správne. (#354)


= 2012.1 =
Prednosti tejto verzii zahŕňajú pohodlnejšie čítanie brailu; indikáciu formátovania v braily; prístup k väčšiemu množstvu formátovacích možností a celkové zrýchlenie práce v programe Microsoft Word; a podporu pre obchod Itunes store.

== Nové vlastnosti ==
- NVDA dokáže oznamovať počet medzier a tabulátorov na začiatku riadku v poradí, ako boli vložené. Zapnúť je to možné zaškrtnutím Oznamovať odsadenie v dialógu Nastavenia čítania textu. (#373)
- NVDA dokáže spracovať stlačenia klávesov generované ako výsledok emulácie klávesov, je teda použiteľný z rôznymi aplikáciami určenými na alternatívne ovládanie ako napr. klávesnica na obrazovke alebo rozpoznávanie reči.
- NVDA dokáže detekovať farby v okne príkazového riadku.
- Tučné písmo, kurzíva a podčiarknuté písmo sú oznamované v brailly symbolmi podľa použitej prekladovej tabuľky. (#538)
- V dokumentoch programu Microsoft word je oznamovaných viac informácií:
 - Informácie o formátovaní ako číselné odkazy na koncové poznámky a poznámky pod čiarov, úrovne nadpisov, existenciu komentárov, úroveň vnorenia tabuľky, odkazy, a farbu textu;
 - Oznamovanie vstupu do rôznych častí dokumentu ako napríklad text komentára, texty koncových poznámok a poznámok pod čiarov, a časti hlavička a päta dokumentu.
- Vybratý text je oznamovaný v brailly použitím bodov 7 a 8. (#889)
- V brailly sú oznamované typi ovládacích prvkov v dokumentoch ako napr. odkazy, tlačidlá a nadpisy. (#202)
- Podpora pre braillovské riadky hedo ProfiLine a MobilLine USB. (#1863, #1897)
- V brailly sa NVDA vyhýba deleniu slov na konci riadku vždy, keď je to možné. (#1890)
- Je možné si v brailly nechať zobrazovať text po odsekoch namiesto doterajšieho zobrazenia po riadkoch. Pomôže to pri plynulom čítaní dlhších textov. Zapnúť je to možné zaškrtnutím voľby čítať po odsekoch v dialógu Nastavenia braillu. (#1891)
- Pri čítaní dokumentu v režime prehliadania je možné pomocou braillovského riadku aktivovať prvok na pozícii kurzora. Toto je možné stlačením smerovej klávesy na mieste, kde sa nachádza kurzor. Ak si želáte aktivovaťprvok na mieste, kde nie je kurzor, je potrebné smerové tlačidlo stlačiť dva krát. (#1893)
- Základná podpora pre webový obsah v iTunes ako napr. obchod. Čiastočne môžu byť podporované aj ostatné aplikácie využívajúce WebKit 1. (#734)
- Pri plynulom čítaní kníh v programe Adobe Digital Editions 1.8.1 a novších, sú stránky  otáčané automaticky.. (#1978)
- Nové prekladové tabuľky do braillu: Portugalčina skratkopis, islandský počítačový 8 bodový brail, tamilčina plnopis, španielsky počítačový 8 bodový brail, farsi plnopis. (#2014)
- V dialógu nastavenia čítania textu je možné nastaviť oznamovanie rámcov. (#1900)
- Pri používaní aplikácii OpenBook je automaticky zapnutý režim spánku. (#1209)
- V programe Poedit, môžu prekladatelia čítať automatické komentáre a komentáre pridané ručne. Nepreložené alebo fuzzy reťazce sú označené hviezdičkou a pri navigácii cez ne sa ozve pípanie. (#1811)
- Podpora pre braillovské riadky HumanWare Brailliant BI and B. (#1990)
- Lokalizácia nórčina Bokmål.


== Zmeny ==
- Príkazy určené na hláskovanie alebo fonetické hláskovanie aktuálneho znaku, slova, riadku použijú správny jazyk hlasového výstupu ak je zapnuté automatické prepínanie jazyka a dostupné dostatočné množstvo informácii o jazyku čítaného textu.
- Aktualizovaný hlasový výstup eSpeak na verziu1.46.02.
- NVDA automaticky odfiltruje extrémne dlhé popisky (30 alebo viac znakov) získané z webových adries odkazov a obrázkov pretože sú tieto s najväčšou pravdepodobnosťou nadbitočné a zdržujú čítanie. (#1989)
- Niektoré informácie sú v brailly zobrazované v skrátenej podobe. (#1955, #2043)
- Pri zmene systémového alebo prehliadacieho kurzora sa braillovský riadok posúva rovnako, ako keby bol posunutý manuálne. Toto je vhodné ak je nastavené zobrazovanie po odsekoch a/alebo potlačené delenie slov. (#1996)
- Aktualizovaná prekladová tabuľka pre španielsky plnopis.
- Aktualizovaný prekladač do braillu liblouis na verziu 2.4.1.


== Opravy ==
- Vo Windows 8 nie je fokus automaticky nesprávne premiestnený preč z editačného poľa hľadať v programe Windows prieskumník, čo zamedzovalo akúkoľvek interakciu s týmto prvkom.
- Výrazné zlepšenie výkonnosti pri  čítaní a navigácii v dokumentoch programu Microsoft word so zapnutým oznamovaním informácií o formátovaní. Pre niektorých používateľov je zrýchlenie evidentné počas celej práce s Microsoft word.
- Obsah Adobe flash zobrazený na celú obrazovku je sprístupnený v režime prehliadania.
- Opravená znížená kvalita hlasového výstupu pri použití niektorých hlasov Microsoft Speech API 5 s iným výstupným zariadením ako je mapovač zvuku. (#749)
- Znova opravený problém so spúšťaním NVDA bez syntézy reči, len s brailovým výstupom alebo zobrazovačom reči. (#1963)
- Terminológia pre príkazy objektovej navigácii je zjednotená z terminmínmi použitými v používateľskej príručke.
- Ak je používateľské rozhranie NVDA zobrazené v inom než anglickom jazyku, vo správnom jazyku sa zobrazuje aj názov klávesu tab.
- V aplikáciách Mozilla Gecko napr. Firefox), NVDA viac neprepína do režimu prehliadania počas navigácii v menu vrámci dokumentu. (#2025)
- V programe kalkulačka windows po stlačení klávesu backspace NVDA oznamuje aktuálny výsledok namiesto textu nič. (#2030)
- V režime prehliadania sa pri presúvaní myši na navigačný objekt myš presunie do stredu objektu namiesto na ľavý horný okraj, čo je ďaleko presnejšie v mnohých prípadoch. (#2029)
- Ak je pri navigácii v režime prehliadania zapnuté Automaticky aktivovať režim fokusu pri zmene fokusu, režim fokusu sa správne zapne ak fokus získa panel nástrojov. (#1339)
- Príkaz na získanie titulku okna opäť správne funguje v programeAdobe Reader.
- Ak je pri navigácii v režime prehliadania zapnuté Automaticky aktivovať režim fokusu pri zmene fokusu, režim fokusu sa správne zapne ak fokus získajú bunky tabuľky napr. mriežky vytvorené pomocou aria. (#1763)
- V programe Itunes je v niektorých zoznamoch správne oznamovaná informácia o pozícii.
- V programe Adobe reader niektoré odkazy nesprávne neobsahujú viac editačné pole len na čítanie.
- Názvy niektorých editačných polí nie sú nesprávne oznamované ako súčasť textu dialógu. (#1960)
- Popisky zoskupenísú znovu správne oznamované ak je zapnuté oznamovanie popisov.
- V texte dialógu vlastnosti jednotky programu prieskumník sú správne oznamované formátované veľkosti.
- Viac násobné oznamovanie textu strán vlastností bolo potlačené v niektorých prípadoch. (#218)
- Vylepšená detekcia kurzora v editačných poliach, ktoré sú sprístupnené na základe analýzi textu vypísaného na obrazovku. Toto je viditeľné napr. pri editácii buniek v programe Microsoft excel alebo pri písaní správ v emailovom klientovi Eudora. (#1658)
- V programe Firefox 11 je správne v režime prehliadania možné použiť príkaz NVDA+Ctrl+medzerník na prechod do nadradeného dokumentu.
- NVDA sa správne reštartuje v situácii, kde jazykové súbory pre novonastavený jazyk sa nachádzajú v priečinku, ktorého názov obsahuje špeciálne znaky. (#2079)
- V braily sú rešpektované nastavenia o oznamovaní informácií o pozícii, skratkových klávesách a popisoch.
- Pri použití s braillovským riadkom nie je prepínanie medzi režimom prehliadania a režimom fokusu pomalé v aplikáciách Mozilla. (#2095)
- Presun kurzora na medzeru na konci riadku / odseku pomocou braillovského riadku správne funguje v mnohých editačných poliach. (#2096)
- NVDA opäť správne funguje s hlasovým výstupom Audiologic Tts3. (#2109)
- Dokumenty programu Microsoft word sú správne oznamované ako viacriadkové, čo znamená, že v brailly sa správne oznamuje aktuálne vybratý riadok pri získaní fokusu.
- V programe internet explorer sa nevyskitujú občasné chyby pri zameraní niektorých prvkov. (#2121)
- Premenovanie názvov symbolov a iných špeciálnych znakov sa prejaví ihneď, nevyžaduje si reštart alebo prepnutie nastavenia automatické prepínanie jazyka.
- Pri použití NVDA s hlasovým výstupom eSpeak sa v dialógu uložiť ako v zobrazovači logu úplne nestíši hlas. (#2145)



= 2011.3 =
Prednosti tejto verzie zahŕňajú automatické prepínanie jazyka hlasového výstupu ak je z aktuálneho dokumentu možné získať potrebné informácie, podpora pre 64 bit java knižnice, oznamovanie formátovania textu v aplikáciách Mozilla v režime prehliadania, vylepšené správenie pri pádoch a mrznutí aplikácií a základná podpora pre Windows 8.

== Nové vlastnosti ==
- NVDA dokáže počas čítania niektorých webových a PDF dokumentov s dostatočne presnou informáciou o jazyku textu meniť jazyk hlasového výstupu eSpeak. Automatické prepínanie jazyka a dialektu je možné nastaviť v dialógu nastavenia hlasu. (#845) 
- Podpora pre Java Access Bridge 2.0.2 čo zahŕňa podporu pre 64 bitové knižnice java.
- V oknách Mozilla Gecko je počas objektovej navigácie oznamovaná úroveň nadpisov.
- V režime prehliadania je možné oznamovať formátovanie textu v produktoch Mozilla. (#394)
- NVDA dokáže detekovať podčiarknutý a prečiarknutý text v editačných poliach IAccessible2 (napr. v aplikáciách Mozilla).
- Pri čítaní dokumentov v programe Adobe reader sú čítané počty stĺpcov a riadkov tabuľky.
- Nový ovládač hlasového výstupu pre hlasy Microsoft Speech Platform. (#1735)
- Pri pohybe systémovým kurzorom sú v programe IBM Lotus Symphony oznamované čísla riadkov a čísla strán. (#1632)
- V dialógu nastavenia hlasu je možné nastaviť počet percent, o ktoré sa zvýši hlas pri vyslovovaní veľkých písmen. Toto je náhrada za voľbu Veľké písmená čítať zvýšeným hlasom a teda ak túto vlastnosť chcete vypnúť nastavte počet percent na 0. (#255)
- Pri oznamovaní formátovania v programe Microsoft excel sú zahrnuté informácie o farbe textu a pozadia. (#1655)
- V prístupných java aplikáciách je možné použiť príkaz aktivovať navigačný objekt (NVDA+numpad enter). (#1744)
- Základná podpora pre Design Science MathPlayer.


== Zmeny ==
- NVDA sa automaticky reštartuje po páde.
- Pridané skratky pre niektoré informácie zobrazované v brailly. (#1288)
- Skript prečítať okno v popredí (NVDA+b) bol prepracovaný. Neoznamuje nepotrebné prvky a je možné ho prerušiť. (#1499)
- V dialógu režim prehliadania je možné nastaviť či sa po načítaní dokumentu automaticky spustí plynulé čítanie. (#414)
- Ak pri pokuse o prečítanie stavového riadku nie je možné zamerať skutočný objekt stavového riadku, NVDA prečíta spodný riadok aplikačného okna vypísaný na obrazovku. (#649)
- Počas plynulého čítania v režime prehliadania NVDA urobí prestávku v čítaní na konci nadpisov a iných blokov. Doteraz bol celý text prečítaný v jednom kuse.
- V režime prehliadania stlačenie klávesu enter alebo medzerník na záložke aktivuje záložku namiesto prepnutia do režimu fokusu. (#1760)
- Aktualizovaný hlasový výstup eSpeak na verziu 1.45.47.


== Opravy ==
- V programe internet explorer a ostatných oknách MSHTML NVDA nebude oznamovať odrážky a číslovanie v zoznamoch, ak autor nastavil, že sa tieto nemajú zobrazovať (štýl zoznamu je none). (#1671)
- Reštart NVDA po zamrznutí (napr. stlačením NVDA+Control+n) nespustí NVDA znovu prv, než sa skutočne ukončí zamrznutá kópia..
- V extrémnych prípadoch stláčanie klávesu backspace a kurzorových klávesov nespôsobuje problémy v okne príkazového riadku windows. (#1612)
- V zoznámových rámikoch WPF alebo iných zoznamových rámikoch sprístupnených cez UIAutomation, v ktorých nemožno editovať text je správne oznamovaná vybratá položka.
- V programe Adobe reader je pri čítaní dokumentov možné prechádzať po riadkoch v tabuľke. Hlavička tabuľky nie je viac oznamovaná ako riadok 0. (#1731)
- V programe Adobe Reader je pri čítaní tabuliek možné vojsť do alebo prejsť kurzorom cez prázdne bunky.
- Zbytočné informácie o pozícii ako napr. 0 z 0 úroveň 0 nie sú viac oznamované v brailly.
- Ak je braillovský kurzor zviazaný s prehliadacím kurzorom, dokáže NVDA v brailly zobrazovať obsah okna v plošnom prezeraní. (#1711)
- Text editačných polí nie je v niektorých prípadoch v brailly zobrazovaný 2 krát, napr. pri pokuse o návrat späť ak je kurzor na začiatku dokumentu v programe wordpad.
- Pri prehliadaní dokumentu v programe internet explorer stlačenie klávesu enter na tlačidle prehľadávať správne zobrazí dialóg na otvorenie súboru namiesto prepnutia do režimu fokusu. (#1720)
- Dynamicky menený obsah nie je viac oznamovaný v režime spánku. (#1662)
- Vylepšená interakcia so zoznamovými rámikmi (alt+šípka hore / alt+šípka dolu) v režime prehliadania. (#1630)
- NVDA sa dokáže zotaviť z mnohých neočakávaných situácií. Napríklad pád nezávislej aplikácii spôsoboval kompletné pád NVDA. (#1408)
- NVDA neodmieta pri čítaní dokumentu v režime prehliadania z Gecko2 (Mozilla Firefox a pod) zobraziť špecifické časti stránky, ktoré sú štýlované ako display:table. (#1373)
- NVDA neoznamuje obsah štítkov, keď ich podradené objekty získajú fokus. Zabraňuje to viacnásobnému oznamovaniu názvov niektorých prvkov formulára v programoch Firefox (gecko) a internet explorer (MSHTML). (#1650)
- NVDA neodmieta prečítať bunku v programe Microsoft Excel po prilepení pomocou ctrl+v. (#1781)
- V režime fokusu v programe Adobe reader nie sú oznamované nadbitočné informácie pri prechode na prvok na ďalšej / predchádzajúcej stránke. (#1659)
- V aplikáciách Mozilla / Gecko napr. Firefox, sú správne oznamované stavové tlačidlá. (#1757)
- NVDA dokáže prečítať panel z adresov programu Windows explorer vo Windows 8 developer preview.
- NVDA nespôsobí pád aplikácií ako napríklad winver a wordpad vo Windows 8 developer preview.
- V aplikáciách založených na Mozilla gecko 10 napr. Firefox 10 je po načítaní stránky v režime prehliadania správne nasledovaná kotva odkazu.. (#360)
- V režime prehliadania sú v aplikáciách Mozilla čítané názvy častí obrázkových máp.
- Pri zapnutom sledovaní myši prechod myšou cez určité editačné polia napr. v dialógu nastavení ukazovacích zariadení Synaptics nespôsobí pád aplikácie. (#672)
- NVDA pracuje správne v dialógoch o programe aplikácií distribuovaných so systémom Windows XP. (#1853, #1855)
- Opravená navigácia po slovách v editačných poliach Windows. (#1877)
- Pri opustení editačného poľa stlačením ľavej šípky, šípky hore alebo page up je správne prepnuté do režimu prehliadania ak je v dialógu Režim prehliadania zaškrtnuté Automaticky aktivovať režim fokusu pri pohybe kurzorom. (#1733)



= 2011.2 =
Prednosti tejto verzie zahŕňajú množstvo vylepšení súvisiacich z vyslovovaním interpunkčných a iných špeciálnych znakov; konfigurovateľné úrovne interpunkcie; vlastné pomenovanie pre interpunkčné a špeciálne symboly; fonetické hláskovanie znakov; eliminované pauzy na konci riadku počas plynulého čítania; lepšia podpora pre ARIA v programe Internet explorer; vylepšená podpora pre PDF dokumenty XFA/LiveCycle v programe Adobe Reader; prístup k textu písaného priamo na obrazovku vo väčšom množstve aplikácií; a možnosť získania informácií o farbe a formátovaní textu vypísaného na obrzovku.

== Nové vlastnosti ==
- Po dvojnásobnom stlačení príkazu aktuálny znak je možné získať popis aktuálneho znaku. Pre angličtinu alebo slovenčinu to je to fonetické hláskovanie, pre piktografické jazyky je to príklad použitia. Foneticky vyhláskovať je možné aj aktuálny riadok alebo aktuálne slovo. (#55)
- V plošnom prezeraní je možné prečítať väčšie množstvo textu, ako napríklad v programe Mozilla Thunderbird.
- Je možné vybrať z viacerých úrovní oznamovania interpunkčných a iných špeciálnych znakov. (#332)
- Ak je nejaký interpunkčný alebo iný špeciálny symbol napísaný v texte viac než 4 krát za sebou, namiesto nepretržitého čítania všetkých napísaných symbolov NVDA oznámi počet opakovaní. (#43)
- Nové prekladové tabuľky braillu: Nórsky 8 bodový počítačový brail, etiópsky plnopis, slovínsky plnopis, Srbský plnopis. (#1456)
- Počas plinulého čítania sa na konci riadku nevyskytujú neprirodzené pauzy. (#149)
- Vo webových prehliadačoch dokáže NVDA oznamovať zotriedené položky (vlastnosť aria-sort). (#1500)
- Braillovské znaky zapísané v kóde unicode sú správne zobrazované na braillovských riadkoch. (#1505)
- Ak prejde fokus v programe internet explorer alebo inom MSHTML okne do panela prvkov zoskupeného tagom fieldset, NVDA oznámi názov zoskupenia (vlastnosť legend). (#535)
- Vlastnosti aria-labelledBy a aria-describedBy sú uplatnené v programe internet explorer a iných oknách MSHTML.
- V programe internet explorer a iných oknách MSHTML bola vylepšená podpora pre aria  zoznamy, mriežky, posuvníky a indikátory priebehu.
- Používatelia môžu meniť výslovnosť interpunkčných a iných špeciálnych znakov ako aj úroveň, pri ktorej budú tieto oznamované. (#271, #1516)
- Názvy hárkov sú správne oznamované v programe Microsoft Excel pri prepínaní pomocou klávesových skratiek control+pageUp alebo control+pageDown. (#760)
- Pri navigácii v tabuľkách programu Microsoft Word stlačaním klávesu tab je správne čítaný obsah aktívnej bunky. (#159)
- V dialógu nastavenia čítania textu je možné nastaviť oznamovanie súradníc buniek tabuľky. (#719)
- NVDA dokáže detekovať farbu a formátovanie textu písaného priamo na obrazovku.
- V zozname správ v programoch Outlook express, Windows mail a Windows live NVDA dokáže oznamovať, že správa je neprečítaná a tiež stav konverzácií. (#868)
- Pre hlasový výstup eSpeak je v dialógu nastavenia hlasu možné aktivovať voľbu znásobiť tempo, čo trojnásobne zrýchly prejav eSpeaku.
- Podpora pre prvok kalendár v dialógu informácie o čase a dátume, ktorý je  možné vyvolať z hodín v systéme Windows 7. (#1637)
- Pridané klávesové skratky pre braillovský riadok MDV Lilli. (#241)
- Nové lokalizácie: bulharčina, albánčina.


== Zmeny ==
- Na presun systémového kurzora na prehliadací kurzor použite skript fokus na navigačný objekt (desktop NVDA+shift+numpad mínus, laptop NVDA+shift+backspace) dva krát rýchlo za sebou. (#837)
- Na získanie ascii alebo hexa decimálnej hodnoty aktuálneho znaku prehliadacieho kurzora stlačte príkaz aktuálny znak 3 krát rýchlo za sebou, pretože dvojité stlačenie teraz slúži na fonetické hláskovanie.
- Aktualizovaný hlasový výstup eSpeak na verziu 1.45.03. (#1465)
- Tabuľky vzhľadu nie sú viac oznamované v aplikáciách Mozilla v režime fokusu alebo mimo obsahu dokumentu.
- V programe internet explorer a ostatných oknách MSHTML je možné použiť režim prehliadania pre dokumenty vnorené v aplikáciách definovanými pomocou ARIA. (#1452)
- Aktualizovaný prekladač do braillu liblouis na verziu 2.3.0.
- V režime prehliadania je počas zmeny fokusu alrebo navigácii pomocou jednoznakových príkazov oznamovaný popis prvku.
- Indikátory priebehu sú oznamované aj v režime prehliadania.
- V programe internet explorer a ostatných oknách MSHTML nie sú prvky označené ARIA typom presentation oznamované ak je zapnutá jednoduchá objektová navigácia a tiež nie sú oznamované pri oznamovaní fokusu.
- Názov virtuálny prehliadač sa nepoužíva ani v NVDA ani v dokumentácii. Namiesto toho hovoríme o dokumentoch v režime prehliadania	. (#1509)
- Ak sa používateľ pokúsi skopírovať nastavenia do systémového profilu na použitie pri prihlasovacej obrazovke a v používateľskom profile NVDA sú detekované pluginy, ovládače hlasových výstupov alebo ovládače braillovských zobrazovačov, NVDA upozorní, že to môže predstavovať bespečnostné riziko. (#1426)
- Služba NVDA nezastavuje a znovu spúšťa NVDA na používateľských vstupných plochách.
- Vo Windows XP a Windows vista NVDA nepoužíva UI Automation aj keď je nainštalovaný ako súčasť platform update. UI Automation môže sprístupniť niektoré moderné aplikácie, ale v týchto starších systémoch pri jeho používaní dochádzalo k mrznutiu a ďalším problémom. (#1437)
- V Gecko 2 aplikáciách napr. Firefox 4 a novších je možné čítať dokument v režime prehliadania postupne ešte pred tým, než je načítanie úplne ukončené.
- NVDA oznamuje stav kontaineru ak fokus prejde na prvok vo vnútri. Napr. ak fokus prejde do dokumentu, ktorý sa stále nahráva, NVDA oznámi zaneprázdnený.
- V použivateľskej príručke a rozhraní NVDA sa viac nepoužívajú frázy rodičovský a prvý dcérsky objekt, pretože pre mnoho používateľov boli tieto pomenovania mätúce. Namiesto toho hovoríme o nadradených / podradených objektoch.
- Zatvorené nie je oznamované pre niektoré ponuky ktoré majú vnorené podponuky.
- Skript na oznamovanie formátovania NVDA+f neoznamuje formátovanie na pozícii systémového kurzora ale na pozícii prehliadacieho kurzora. V predvolenom nastavení prehliadací kurzor sleduje systémový kurzor, väčšina používateľov teda nezaznamená zmenu. Okrem toho ale táto zmena umožní získať informácie o formátovaní pri čítaní prehliadacím kurzorom napr. aj v plošnom prezeraní

 
== Opravy ==
- Pri zatváraní zoznamových rámikov potom, čo bol pomocou NVDA+medzerník zapnutý režim fokusu NVDA nespôsobuje automatické prepínanie do režimu prehliadania. (#1386)
- V dokumentocho gecko a MSHTML NVDA správne zobrazuje text, ktorý je v originále rozdelený na viacej riadkov. (#1378)
- Ak je braill zviazaný s prehliadacím kurzorom a navigačným objektom sa stane dokument (či už manuálne alebo automaticky ako výsledok zmeny fokusu) NVDA v brailly správne zobrazí obsah dokumentu. (#1406, #1407)
- Keď je čítanie interpunkcie vypnuté s niektorými hlasovými výstupmi nie sú nesprávne čítané interpunkčné znaky. (#332)
- Odstránený problém s načítaním hlasových výstupov, ktoré nepodporujú nastavenie hlasu ako napr Audiologic TTS3. (#1347)
- Podmenu extras v programe Skype je správne čítané. (#648)
- Zaškrtnutie políčka Úroveň jasu ovplyvňuje hlasitosť signalizácie v dialógu nastavenia myši viac nespôsobuje problémy pri posúvaní myši vo Windows vista / 7 zo zapnutým aero. (#1183)
- Pri rozložení klávesnice laptop správne funguje klávesová skratka NVDA+delete na oznámenie rozmerov navigačného objektu. (#1498)
- V programe internet explorer správne funguje vlastnosť aria-selected.
- Keď NVDA automaticky prepína do režimu fokusu, oznámi tiež kontext. Napr. ak fokus získa zoznam, NVDA oznámi zoznam. (#1491)
- V programe internet explorer a ostatných MSHTML oknách sú aria zoznamy oznamované ako zoznam namiesto položka zoznamu.
- Keď získa fokus editačné pole len na čítanie, NVDA správne prečíta stav. (#1436)
- V režime prehliadania NVDA správne pracuje s editačnými poľami len na čítanie.
- V režime fokusu pri práci s prvkom, ktorý má nastavenú vlastnost aria-descendand NVDA chybne neprepína do režimu prehliadaniaDoteraz napr. pri zobrazení zoznamu možnosti na automatické doplnenie prepína do režimu prehliadania.
- V programe adobe reader je oznamovaný názov prvku pri zmene fokusu a používaní príkazov rýchlej navigácie.
- V dokumentoch XFA PDF v programe Adobe Reader sú správne čítané tlačidlá, obrázky a odkazy.
- V dokumentoch  XFA PDF v programe Adobe Reader sú všetky prvky zobrazené v novom riadku. V týchto dokumetoch dochádzalo k zobrazeniu celého obsahu v jednom riadku, pretože obyčajne nie sú dostatočne štruktúrované.
- Opravený problém pri navigácii z a do editačných polí v dokumentoch XFA PDF v programe Adobe Reader.
- V dokumentoch XFA PDF v programe Adobe Reader sú oznamované zmeny hodnoty zoznamovaného rámika, ktorý má práve fokus.
- Sprístupnené sú aplikáciou vykreslené zoznamové rámiky, napr. tie určené na výber farby v programe Outlook express. (#1340)
- V jazykoch, ktoré používajú medzerník ako oddeľovač tisícou pri spracúvaní čísel (napr. francúzštine a nemčina) sú separátne číselné údaje naozaj vyslovované separátne. Spôsobovalo to problémy napr. v bunkách tabuľky obsahujúcich čísla. (#555)
- Prvky typu aria-description sú v programe internet explorer a ostatných MSHTML oknách zobrazované ako text nie ako editačné pole.
- Opravené viaceré problémy so stláčaním klávesu tab v režime prehliadania, zatiaľ čo má fokus dokument, napr. náhodný skok do panela z adresou. (#720, #1367)
- Počas zapnutej nápovedy vstupu sú do logu zaznamenávané aj gestá, ktorých skripty obchádzajú nápovedu vstupu ako napr. klávesy na braillovskom riadku.
- Ak je počas zapnutej nápovedy vstupu podržaný stlačený modifikátor NVDA ho neoznamuje ako hlávný kláves, napr. už nie je možné aby NVDA oznámil NVDA+NVDA.
- V programe Adobe reader je možné použiť písmeno c alebo Shift+c na navigáciu po zoznamových rámikoch.
- Stav vybrané je oznamovaný pre vyberaťeľné položky tabuľky rovnako, ako je oznamovaný napr. pre položky zoznamu.
- Položky vo Firefoxe a ostatných gecko aplikáciách je možné aktivovať aj ak ich text pretiekol za okraje obrazovky. (#801)
- Ak je zobrazené okno so správou nie je možné otvoriť dialóg nastavení NVDA, pretože to spôsobovalo mrznutie. (#1451)
- V programe Microsoft excel je zredukované opozdenie pri rýchlom prechádzaní bunkami alebo pokuse o postupný výber veľkého množstva buniek.
- Opravené problémy s padaním služby NVDA, čo znamená, že by viac nemalo dochádzať k poruchám spúšťania NVDA na zabezpečených obrazovkách.
- Opravený problém s braillovskými riadkami, že pri zmene zobrazený text zmizol. (#1377)
- Sprístupnené okno sťahovania v programe Internet explorer 9. (#1280)
- Nie je možné súčasne spustiť viacej kópií NVDA. (#507)
- Na pomalých systémoch sa nezobrazuje hlavné okno NVDA počas behu. (#726)
- NVDA nepadá v systéme Windows XP pri spúšťaní WPF aplikácií. (#1437)
- Plynulé čítanie pre UI Automation editačné polia. Plynulé čítanie prehliadacím kurzorom je možné používať v XPS dokumentoch.
- NVDA nesprávne nepovažuje niektoré položky zoznamu ako zaškrtávacie políčka pri nastavovaní filtrov v programoch Outlook expres a windows live mail. (#576)
- Zoznamové rámiky nie sú chybne oznamované, že majú podmenu.
- NVDA dokáže čítať adresátov v poliach komu, kópia a skrytá kópia v programe Microsoft outlook. (#421)
- Opravená chyba v dialógu nastavenia hlasu, že v niektorých prípadoch nebola správne oznamovaná nová hodnota posuvníkov. (#1411)
- NVDA dokáže správne oznamovať aktívnu bunku pri pohybe po kopírovaní a prilepení v programe Microsoft excel. (#1567)
- NVDA viac nestráca schopnosť oznamovať názvy farieb po oznámení väčšieho množstva farieb.
- V programe internet explorer a ostatných oknách MSHTML je opravená nemožnosť čítania častí niektorých stránok, ktoré obsahujú vnorený rámik opatrený typom aria presentation. (#1569)
- Opravený problém, keď v režime fokusu v programe internet explorer a ostatných oknách MSHTML fokus striedavo skákal z viacriadkového editačného poľa na dokument a späť. (#1566)
- NVDA dokáže automaticky čítať obsah dialógov v programe Microsoft word 2010. (#1538)
- V programe internet explorer a ostatných oknách MSHTML je správne oznamovaný výber za prvým riadkom v viacriadkových editačných poliach. (#1590)
- Zlepšená presnosť pohybu po slovách na mnohých miestach vrátane režimu prehliadania a obyčajných editačných polí. (#1580)
- Inštalátor NVDA viacej nezobrazuje náhodný text v čínskych verziách systémov Windows vista / 7. (#1596)
- NVDA neodmieta načítať hlasový výstup Microsoft Speech API 5 ak sú pre tento výstup uložené nastavenia ale chýba nastavenie hlasu. (#1599)
- NVDA nezaostáva v editačných poliach programu internet explorer ak je zapnutý braill.
- Pri čítaní dokumentov vo Firefoxe NVDA neodmieta načítať prvky, ktoré môžu nadobúdať systémový fokus a sú označené typom aria presentation.
- V programe Microsoft word pri zapnutom brailly sú správne oznamované riadky po prvej stránke. (#1603)
- V programe Microsoft word 2003 je znovu možné čítať riadky s textom z prava do ľava. (#627)
- V programe Microsoft work správne funguje plynulé čítanie a v prípade, že dokument nie je ukončený koncom vety.
- Pri otváraní textovej správy v programe Windows live 2011, NVDA automaticky presunie fokus do dokumentu správy a spustí plynulé čítanie.
- NVDA viac nemrzne a neodmieta hovoriť v dialógoch kopírovať do a presunúť do v programe Windows live email. (#574)
- V programe Outlook 2010 NVDA správne oznamuje fokus v zozname správ. (#1285)
- Vyriešené niektoré problémy s pripájaním riadku MDV Lilli cez USB. (#241)
- V programe internet explorer a ostatných oknách MSHTML nie sú ignorované niektoré medzery napr. medzera hneď po odkaze.
- V programe internet explorer a ostatných oknách MSHTML boli v režime prehliadania odstránené nadbitočné riadky spôsobené pri načítaní prvkov so štýlom nastaveným na none. (#1685)
- Ak sa NVDA nedokáže spustiť chyba o nemožnosti prehrávania chybového zvuku nezastiera skutočnú príčinu problému v zázname do log súboru.


= 2011.1.1 =
Táto verzia opravuje niektoré bezpečnostné problémy a iné závažné chyby vo verzii 2011.1.

== Opravy ==
- Položka prispieť v ponuke NVDA nie je zobrazená na prihlasovacej obrazovke a ostatných zabezpečených obrazovkách Windows, pretože je to bezpečnostné riziko. (#1419)
- Počas behu NVDA na prihlasovacej obrazovke alebo iných zabezpečených obrazovkách Windows nie je možné používať funkcie kopírovať, vystrihnúť a prilepiť, pretože to predstavuje bezpečnostné riziko. (#1421)
- V programe Firefox 4 správne funguje klávesová skratka NVDA+Control+medzerník na prechod do nadradeného virtuálneho prehliadača. Týmto spôsobom je znovu možné opustiť vnorené objekty napr. prvky Adobe flash. (#1429)
- Ak je zapnuté čítanie príkazových skratiek, NVDA nečíta nesprávne písmená stlačené v kombinácii s klávesom shift ako príkazové skratky. (#1422)
- Ak je zapnuté čítanie príkazových skratiek, NVDA správne číta kombináciu medzerník plus modifikátor iný ako shift ako príkaz. (#1424)
- Záznam logu do súboru je zakázaný počas behu NVDA na prihlasovacej obrazovke Windows a iných zabezpečených obrazovkách Windows, pretože je to bezpečnostné riziko. (#1435)
- V režime vstupnej nápovedy sú gestá vstupných príkazov zaznamenávané do logu aj v prípade, že nie sú priradené k žiadnemu skriptu. Takto je to koniec koncov popísané aj v príručke. (#1425)


= 2011.1 =
Prednosti tejto verzii: Automatické oznamovanie nového textu v programoch mIRC, PuTTY, Tera Term a SecureCRT; podpora pre globálne pluginy; oznamovanie číslovania a odrážok v programe Microsoft word; ďalšie vstupné príkazy braillských riadkov vrátane klávesov určených na posúvanie riadku; podpora pre niektoré riadky Baum, HumanWare a APH; a oznamovanie farieb v niektorých prvkoch napr. editačné polia v programe IBM Lotus Symphony.

== Nové vlastnosti ==
- Pre niektoré objekty je možné oznamovať farbu. Automatické oznamovanie zmeny farby je možné z dialógu formátovanie dokumentu. Aktuálnu farbu je tiež možné získať použitím funkcie info o formátovaní (NVDA+f)
 - Nazačiatok je toto podporované v štandardných editačných poliach IAccessible2 (napr. v aplikáciách Mozilla), prvkoch RichEdit (napr. Wordpad) a editačných poliach IBM Lotus Symphony.
- Vo virtuálnom prehliadači je možné vyberať po stranách (shift+pageup shift+pagedown) a odsekoch (shift+šípka hore a shift+šípka dolu). (#639)
- NVDA odteraz automaticky oznamuje nový text v programoch mIRC, PuTTY, Tera Term and SecureCRT. (#936)
- Používatelia môžu pridávať nové alebo zmeniť existujúce klávesové skratky pre všetky skripty NVDA napísaním mapy vstupných príkazov. (#194)
- Podpora globálnych pluginov. Tieto umožňujú pridať funkcionalitu do NVDA, ktorá je spoločná bez ohľadu na to, ktorá aplikácia je v popredí. (#281)
- NVDA krátko zapípa ak je pri písaní zapnutý kláves capslock a pridržaný shift. Je to možné vypnúť odškrtnutím novej voľby v dialógu nastavenia klávesnice. (#663)
- Zlomy strany sú oznamované pri pohybe po riadkoch v programe Microsoft Word. (#758)
- Číslovanie a odrážky sú oznamované pri navigácii po riadkoch v programe Microsoft word. (#208)  
- Pridaný klávesový príkaz na prepínanie režimu spánku pre aktuálnu aplikáciu (NVDA+shift+s). Režim spánku pre aktuálnu aplikáciu doteraz známy ako režim samoozvučenia pozastaví funkcie čítača obrazovky pre pre aplikáciu, ktorej okno je v popredí. Je to užitočné pre aplikácie, ktoré implementujú podporu pre hlasový výstup.
- Pridané boli ďalšie skratky braillovských zobrazovačov. Podrobnosti sa dočítate v časti podporované braillovské zobrazovače v používateľskej príručke. (#209)
- Aby sme uľahčili prácu možným vývojárom, aplikačné moduly a globálne pluginy je možné načítať bez nutnosti reštartu NVDA. Použite položku menu Nástroje -> Načítať pluginy alebo skratku NVDA+control+f3. (#544)
- NVDA si odteraz zapamätá pozíciu vo virtuálnom prehliadači a pri návrate na už navštívenú stránku, túto pozíciu obnový. Toto platí do doby, kým nie je ukončený NVDA alebo prehliadač. (#132)
- Braillovské riadky Handy Tech je možné používať bez nutnosti inštalácie univerzálneho ovládača Handy Tech. (#854)
- Podpora pre niektoré riadky Baum, HumanWare a APH. (#937)
- Správne je detekovaný stavový riadok programu Mediaplayer classic home cynema.
- Riadok Freedom Scientific Focus 40 Blue je možné používať aj keď je pripojený cez bluetooth. (#1345)


== Zmeny ==
- Pre niektoré prvky nie je predvolene oznamovaná informácia o pozícii, pretože to nie je dostatočne presné. Je to ale možné povoliť v dialógu prezentácia objektov.
- Klávesová nápoveda bola premenovaná na nápovedu vstupu pretože poskytuje nápovedu aj pre ostatné vstupné zariadenia okrem klávesnica.
- Umiestnenie skriptu nie je vo vstupnej nápovede oznamované, pretože to nie je dôležité pre používateľa.
- Keď NVDA detekuje zamrznutie, naďalej odchytáva stlačenia klávesu NVDA pričom ostatné klávesy prepúšťa do systému. Zabráni to nechcenému prepínaniu klávesu capslock. (#939)
- Ak po prepustení klávesov operačnému systému sú stlačené nejaké ďalšie klávesy, NVDA ich všetky bude prepúšťať.
- Ak je kláves NVDA rýchlo stlačený 2 krát za sebou, následné opakovania stlačení budú tiež prepustené.
- Vo vstupnej nápovede sú oznamované klávesy určené na ovládanie hlasitosti.


== Opravy ==
- Pri pridávaní novej položky do jedného z rečových slovníkov, je názov dialógu Pridať položku slovníka namiesto upraviť položku slovníka. (#924)
- V dialógoch rečové slovníky je obsah stĺpcov Rozlišovať veľké a malé písmená a Regulárny výraz zoznamu položiek oznamovaný v jazyku nastavenom v dialógu všeobecné nastavenia. Doteraz boli tieto informácie dostupné vždy v angličtine.
- V stromových zoznamoch programu AIM je správne oznamovaná informácia o pozícii.
- V dialógu Nastavenia hlasu je možné použiť klávesy šípka hore a page up na zvíšenie a šípka dolu a page down na zníženie nastavenia v posuvníkoch. Doteraz to fungovalo presne opačne, čo bolo nelogické a nezhodovalo sa so správaním kruhu nastavení hlasového výstupu. (#221)
- Vo virtuálnom prehliadači počas vypnutého zobrazovania ako na obrazovke sa nezobrazujú nadbitočné prázdne riadky.
- Ak je kláves NVDA stlačený 2 krát rýchlo za sebou a počas toho sú stlačené iné klávesy, NVDA kláves nebude opakovane prepúšťaný systému.
- Interpunkčné znaky sú oznamované počas nápovedy vstupu aj ak je oznamovanie interpunkcie vypnuté. (#977)
- V dialógu nastavenia klávesnice je zoznam rozložení zobrazený v jazyku lokalizácii NVDA nie v angličtine. (#558)
- Opravený problém, ktorý spôsoboval, že niektoré prvky boli vo virtuálnom prehliadači adobe reader zobrazené ako prázdne, napr. odkazy v používateľskej príručke Apple iPhone IOS 4.1.
- Tlačidlo "použiť aktuálne nastavenia NVDA na prihlasovacej a zabezpečených obrazovkách" v dialógu všeobecné nastavenia je možné použiť hneď po nainštalovaní NVDA. Doteraz ak nebola pred použitím tohoto tlačidla zobrazená zabezpečená obrazovka, NVDA oznámil, že kopírovanie bolo úspešné, ale akcia nemala žiadny efekt. (#1194)
- Nie je viac možné mať otvorených niekoľko dialógov nastavení súčasne. Toto opravuje problémy s nastaveniami v otvorenom dialógu, ktoré sú závislé na nastaveniach z druhého otvoreného dialógu (napr. zmena hlasového výstupu pri otvorenom dialógu nastavenia hlasu). (#603)
- V systémoch zo zapnutou kontrolov UAC funkcia "použiť aktuálne nastavenia NVDA na prihlasovacej a zabezpečených obrazovkách" viac nezlihá po zobrazení dialógu UAC ak meno aktuálne prihláseného používateľa systému obsahuje medzerník. (#918)
- V programe internet explorer a ostatných prvkoch MSHTML NVDA použije URL odkazu v prípade, že nie je k dispozícii žiadny text alebo názov. (#633)
- NVDA viac neignoruje fokus v ponukách programu AOL Instant Messenger 7. (#655)
- NVDA oznamuje správne názvy chýb v dialógu kontrola pravopisu programu Microsoft word (napr. nie je v slovníku, gramatická chyba, interpunkcia). Doteraz boli všetky chyby oznamované ako gramatická chyba. (#883)
- Písanie v programe microsoft word so zapnutým braillovským riadkom by viac nemalo spôsobovať vkladanie náhodného textu, a tiež bola opravená chyba, ktorá pri stlačení smerovacích tlačidieľ na braillovskom riadku spôsobovala mrznutie. (#1212) problémom ostáva fakt, že v programe Word 2003 a starších nie je možné čítať text v smere zprava do ľava spolu s braillovským riadkom. (#627)
- Pri stlačení klávesu delete je správne aktualizovaný text a pozícia kurzora na braillovskom riadku. (#947)
- Dynamické zmeny v gecko 2 dokumentoch (napr. Firefox 4) sú správne spracované NVDA. Doteraz boli spracúvané len zmeny na prvej otvorenej karte. (Mozilla bug 610985)
- NVDA dokáže správne oznamovať zoznam návrhov v dialógu kontrola pravopisu programu Microsoft word. (#704)
- V programe internet explorer a iných prvkoch MSHTML, NVDA nevkladá ciele odkazov do tejto stránky do virtuálneho prehliadača. Sú správne skryté tak, ako by mali byť. (#1326)
- Objektová navigácia cez a vo vnútri zoskupení nie je viac nesimetrická.
- Vo Firefoxe sa NVDA nezasekne vo vnorenom ráme ak sa jeho obsah nahrá skôr ako obsah rodičovského dokumentu.
- NVDA správne oznámi vymazaný znak, ak sa na vymazanie použije numerický delete. (#286)
- Pri zmene používateľa na prihlasovacej obrazovke Windows XP je opäť správne čítané meno používateľa.
- Opravený problém s čítaním textu z príkazového riadku počas zapnutého čítania čísiel riadkov.
- Dialóg zoznam prvkov vo virtuálnom prehliadači je použiteľný aj pre vidiacich. Všetky prvky sú viditeľné na obrazovke. (#1321)
- Zoznam položiek v dialógoch rečových slovníkov je čitateľný aj pre vidiacich. Zoznam je dostatočne široký, aby sa všetky stĺpce zmestili na obrazovku. (#90)
- Na riadkoch ALVA BC640/BC680 NVDA viac nezabúda klávesy, ktoré ostávajú stlačené po pustení iných klávesov.
- Adobe Reader X viac nepadá po opustení dialógu "neotagovaný dokument" pred tým, než sa začne spracúvanie dokumentu. (#1218)
- Pri návrate k uloženým nastaveniam, NVDA načíta správny ovládač brailllovského riadku. (#1346)
- Sprievodca projektom v programe Visual Studio 2008 je opäť správne prečítaný. (#974)
- NVDA viac neodmieta pracovať v aplikáciách, ktorých názov spustiteľného súboru obsahuje iné než ascii znaky. (#1352)
- Pri čítaní po riadkoch v programe Akelpad NVDA pri zapnutom zalamovaní viac nečíta na konci riadku prvé písmeno nasledujúceho riadku.
- V editore kódu programov Visual Studio 2005/2008 NVDA nečíta celý text po každom napísanom znaku. (#975)
- Opravený problém, keď pri zmene braillovského riadku alebo pri ukončení NVDA niektoré riadky neboli správne zmazané.
- Pri štarte nie je niekedy informácia o aktívnom prvku oznamovaná dva krát. (#1359)


= 2010.2 =
Významné zmeny v tejto verzií sú výrazne zjednodušená objektová navigácia; virtuálny prehliadač pre obsah Adobe flash; prístup k mnohým doteraz neprístupným prvkom získavaním textu vykresleného na obrazovku; plošné zobrazenie textu na obrazovke; podpora pre dokumenty IBM Lotus Symphony; oznamovanie hlavičiek riadkov a stĺpcov tabuliek v programe Mozilla Firefox; a výrazne prepracovanú používateľskú dokumentáciu.

== Nové vlastnosti ==
- Objektová navigácia bola výrazne zjednodušená. Prehliadací kurzor vynecháva objekty, ktoré nie sú pre používateľa užitočné napr. nedostupné objekty a objekty, ktoré formujú len vzhľad.
- V aplikáciách sprístupnených cez java access bridge vrátane openoffice.org je pre editačné polia možné získať informácie o formátovaní. (#358, #463)
- Počas posúvania myši v programe Microsoft Excel dokáže NVDA čítať text bunky, ktorá je práve pod kurzorom..
- V aplikáciách používajúcich Java access bridge je text dialógu automaticky oznamovaný, keď dialóg získa fokus. (#554)
- Na navigáciu  obsahom adobe Flash je možné použiť virtuálny dokument. Priame ovládanie prvkov flash a objektová navigácia sú tiež dostupné po zapnutí režimu fokusu. (#453)
- Sprístupnené editačné polia vo vývojovom prostredí Eclipse vrátane editora kódu. Požadovaná verzia Eclipse je 3.6 alebo novšia. (#256, #641)
- NVDA dokáže získať množstvo textu vypísaného na obrazovku. (#40, #643)
 - Toto umožňuje sprístupniť prvky, ktoré neposkytujú informácie priamejšími a spoľahlivejšími spôsobmi.
 - Prvky sprístupnené touto metódou zahŕňajú: niektoré položky menu, pri ktorých sú zobrazené ikony (napr. položky v ponuke otvoriť čím  v kontextovej ponuke zoznamu súborov v prieskumníku Windows XP) (#151), editačné polia v aplikáciách Windows live (#200), zoznam chýb v programe Outlook Express (#582), editačné pole populárneho textového editora TextPad (#605), zoznamy v programe Eudora, mnohé prvky v austrálskom E-tax a panel vzorca v programe Microsoft Excel.
- Podpora pre editor zdrojového kódu v programoch Microsoft Visual Studio 2005 a 2008. Podporované sú edície od  Visual Studio Standard. Táto podpora nebude pracovať s Express edition. (#457)
- Podpora pre dokumenty v programe IBM Lotus Symphony.
- Experimentálna podpora pre internetový prehliadač Google Chrome. Pozor: podpora pre odčítače nie je v Chrome ešte dokončená a je možné, že aj na strane NVDA bude ešte potrebné urobiť zmeny. Prístupné sú len aktuálne vývojové verzie Chrome 6.
- Stav prepínačov ako sú capslock, numlock je oznamovaný aj v brailly. (#620)
- Obsah bublinovej nápovedy je tiež zobrazovaný v brailly. (#652)
- Pridaný ovládač pre braillovský riadok MDV Lilli. (#241)
- Pri vyznačovaní celého riadku resp. stĺpca v ms excel použitím shift+medzera a ctrl+medzera NVDA oznamuje správne výber. (#759)
- Pridané oznamovanie hlavičiek stĺpca a riadku tabuľky. Je to možné nastaviť v dialógu Nastavenie čítania textu.
 - Zatiaľ je táto možnosť dostupná len v dokumentoch aplikácií Mozilla. (#361)
- Pridané klávesové skratky na plošné prehliadanie: (#58)
 - NVDA+numpad7prepína do plošného prehliadania, nastaví prehliadací kurzor na aktuálnu pozíciu práve zameraného objektu, čo umožní príkazmi určenými na čítanie textu plošne prezerať celý dokument alebo celú obrazovku.
 - NVDA+numpad1 zameria objekt na pozícii prehliadacieho kurzora v režime plošného prezerania, čo umožní navigáciu po susedných prvkoch pomocov objektovej navigácie.
- Aktuálne používateľské nastavenia NVDA je možné stlačením tlačidla v dialógu Všeobecné nastavenia skopírovať pre použitie na prihlasovacej obrazovke.
- Podpora pre Mozilla Firefox 4.
- Podpora pre Microsoft Internet Explorer 9.


== Zmeny ==
- Plynulé čítanie navigačného objektu (NVDA+numpad plus), prejsť na ďalší a predchádzajúci objekt v náväznosti boli odstránené, pretože nefungovali spoľahlivo. Uvolnia sa takto aspoň klávesy.
- V dialógu Hlasový výstup je v zozname uvedený len názov hlasových výstupov. Doteraz bol zobrazovaný aj názov modulu, ktorý je relevantný len interne.
- Vo vnorených aplikáciách alebo virtuálnych prehliadačoch v ďalšom virtuálnom prehliadači napr. vo virtuálnom prehliadači Adobe Flash je možné použiť NVDA+Control+medzerník na prepínanie do nadradeného virtuálneho prehliadača. Doteraz sa na toto používal príkaz NVDA+medzerník, ktorý sa stále používa na prepínanie medzi prehliadacím režimom a režimom fokusu.
- Ak má systémový fokus zobrazovač reči (je možné zapnúť z menu nástroje) nový text sa nebude zobrazovať až kým systémový fokus nenadobudne iný prvok mimo tohoto prehliadača. Umožňuje to jednoduchšie vyberanie textu napr. na kopírovanie.
- Zobrazovač logu a konzola python sú automaticky maximalizované pri každom zobrazení.
- Ak získa fokus hárok programu microsoft excel a vybratých je viac buniek, namiesto aktuálnej bunky je oznámený celý výber. (#763)
- Ukladanie nastavení a zmena niektorých nastavení je zablokovaná ak NVDA beží na prihlasovacej obrazovke.
- Aktualizovaný vstavaný hlasový výstup eSpeak na verziu 1.44.03.
- Ak je NVDA už spustený, Aktivácia odkazu na ploche alebo stlačenie jeho klávesovej skratky spôsobý reštart NVDA.
- Z dialógu nastavenia myši bolo odstránené zaškrtávacie políčko Oznamovať text pod kurzorom myši, ktoré bolo nahradené políčkom povoliť sledovanie myši, čo lepšie vystihuje skript prepnínanie sledovania myši.
- Aktualizované rozloženie klávesnice pre laptop tak, že obsahuje všetky klávesové príkazy a funguje aj na iných ako anglických systémoch. (#798, #800)
- Výrazné zmeny a aktualizácia používateľskej dokumentácie. Zdokumentované je rozloženie klávesnice pre laptop a zoznam klávesových skratiek je synchronizovaný s používateľskou príručkou. (#455)
- Aktualizovaná prekladová knižnica brailu liblouis na verziu 2.1.1. Opravuje to chyby v čínskom braily a zobrazovanie znakov, ktoré nie sú definované v aktuálnej prekladovej tabuľke. (#484, #499)

 
== Opravy ==
- V programe µTorrent aktívna položka zoznamu torrentov nie je oznamovaná do nekonečna a tiež nekradne systémový fokus ak je otvorené menu.
- V programe µTorrent sú čítané názvy súborov v zozname obsah torrentu.
- V Mozilla aplikáciách je správne detekovaná zmena fokusu v prípade, že fokus získa prázdny zoznam alebo tabuľka.
- V aplikáciách Mozilla je správne oznamovaný stav nezačiarknuté pre neštandardné začiarkavacie políčka ako napr. začiarkavacie bunky v tabuľke. (#571)
- V aplikáciách Mozilla text dialógov implementovaných pomocou technológie ARIA nie je viacej ignorovaný a bude oznámeny keď sa takýto dialóg zobrazí.
- V programe Internet Explorer a ostatných prvkoch MSHTML je zohľadnený atribút ARIA level.
- V programe Internet Explorer a ostatných prvkoch MSHTML typ prvku špecifikovaný pomocou ARIA je preferovaný narozdieľ od ostatných spôsobov.
- Opravený ojedinelý pád v programe Internet Explorer pri navigácii po rámikoch a vnorených rámikoch.
- V dokumentoch programu Microsoft Word sú znovu čitateľné riadky s jazykom zapísaným z prava do ľava(ako napríklad arabčina). (#627)
- Výrazne zredukované zaostávanie počas výpisu veľkého množstva textu do okna príkazového riadku na 64 bitových systémoch. (#622)
- Ak je Skype už spustený pri štarte NVDA, nie je nutné Skype reštartovať, aby sa stal prístupným. Toto môže platiť aj o ostatných aplikáciách, ktorékontrolujú systémovú vlajku prítomnosti odčítača.
- V aplikáciách Microsoft Office NVDA nepadá pri používaní skriptu okno v popredí (NVDA+b) a počas navigácie na panely nástrojov. (#616)
- Opravené nesprávne vyslovovanie číslic s nulou po oddeľovači ako napr. 1,023. (#593)
- Programy Adobe Acrobat Pro a Reader 9 nepadajú pri zatváraní súboru a niektorých ďalších akciách. (#613)
- Výber je správne oznamovaný po stlačení ctrl+a v niektorých editačných poliach ako napr. Microsoft word. (#761)
- V prvkoch scintilla napr. notepad++ text nie je nesprávne označovaný do bloku pri pohybe kurzorom a plynulom čítaní. (#746)
- Opäť je možné bunky programu Microsoft excel čítať prehliadacím kurzorom.
- NVDA dokáže čítať po riadkoch v niektorých problematických viacriadkových editačných poliach programu Internet explorer 8. (#467)
- Windows Live Messenger 2009  sa viac automaticky neukončí hneď po štarte keď je spustený NVDA. (#677)
- V prehliadačoch webových stránok nie je viac nutné po prechode do vnoreného objektu napr. flash stlačiť kláves tab na ďalšiu navigáciu. (#775)
- V prvkoch scintilla (napr. Notepad ++) nie je viac ukrojené zo začiatku dlhého riadku ak sa celý riadok nezmestí na šírku obrazovky. Tiež je správne zobrazovaný výber takéhoto dlhého riadku v braily.
- V programe Loudtalks je možné čítať zoznam kontaktov.
- Adresa dokumentu a "MSAAHTML Registered Handler" nie sú viac zbytočne oznamované v programe internet explorer a iných dokumentoch MSHTML. (#811)
- V stromových zoznamoch prostredia Eclipse nie je pri zmene fokusu viac nesprávne čítaný text predchádzajúcej položky.
- NVDA dokáže správne fungovať v systéme, kde bol z cesty  DLL search path (pomocou nastavenia položky registry CWDIllegalInDllSearch na 0xFFFFFFFF) odstránený aktuálny adresár. Toto nie je pre väčšinu používateľov relevantné. (#907)
- Pri používaní navigačných príkazov po tabuľke mimo tabuľku v programe Microsoft Word nie je text okraj tabuľky nadbytočne vyslovovaný po hláške mimo tabuľku.
- Ak pomocou navigačných klávesov nie je možné prejsť do ďalšej bunky v tabuľke programu Microsoft word preto, lebo kurzor je na okraji tabuľky, text okraj tabuľky je preložený do aktuálneho jazyka. Doteraz NVDA vyslovoval túto informáciu stále v angličtine. 
- Pri navigácii vo virtuálnom prehliadači prehliadací kurzor umožní navigáciu po celom dokumente ako to bolo pôvodne navrhnuté, namiesto navigácii v aktuálnom objekte.
- V programoch Outlook Express, Windows Mail a Windows Live Mail je oznamovaný stav začiarkavacích políčok v zozname pravidiel pošty. (#576)
- Popis pravidiel pošty je možné čítať v programe Windows Live Mail 2010.


= 2010.1 =

V tejto verzii sme sa zamerali hlavne na opravy a používateľský konfort v čítane niektorých vážnych stabilizačných opráv.

== Nové vlastnosti ==
- NVDA sa neodmieta spustiť ak v systéme nie sú nainštalované žiadne zvukové zariadenia. Samozrejme, v takomto prípade musí byť použitý brailovský riadok alebo hlasový výstup display. (#425)
- Do dialógu Nastavenia čítania textu bolo pridané začiarkavacie políčko oznamovať oblasti stránky, ktoré určuje, či sa vo virtuálnom prehliadači budú oznamovať oblasti stránky. Kvôli kompatibilite s predchádzajúcou verziou je toto predvolene zapnuté.
- Ak je zapnuté čítanie príkazových skratiek, NVDA bude oznamovať názvy multimediálnych klávesov ako napríklad play, stop, domovská stránka... )#472)
- NVDA po stlačení ctrl+backspace oznámi práve vymazané slovo v prvkoch, ktoré to podporujú. (#491)
- Kurzorové klávesy umožňujú navigáciu a čítanie v okne programu Web formator. (#452)
- Zoznam v adresáry aplikácie Microsoft outlook je odteraz podporovaný.
- Lepšia podpora pre vnorené editovateľné dokumenty v programe internet explorer. (#402)
- Nový skript (nvda+shift+numpadMinus) umožňuje premiestnenie systémového fokusu na prvok zameraný objektovou navigáciou.
- Nové skripty na uzamknutie a odomknutie ľavého a pravého tlačidla myši; určené na vykonávanie operácie drag'n'drop. shift+numpad lomeno uzamknutie/odomknutie ľavého, shift+numpad krát na uzamknutie a odomknutie pravého tlačidla.
- Nové prekladové tabuľky do brailu: Nemecký počítačový 8 bodový brail, Nemčina skratkopis, Fínsky počítačový 8 bodový brail, Čínština (Hong Kong, Kantončina), Mandarínska čínština (Taiwan). (#344, #369, #415, #450)
- Počas inštalácii je možné neinštalovať odkaz na pracovnú plochu, čo tiež zamedzí vytváranie klávesovej skratky.  (#518)
- NVDA dokáže ozvučiť aj 64 bitové IAccessible2 aplikácie.  (#479)
- Vylepšená podpora pre živé oblasti stránky v aplikáciách Mozilla. (#246)
- Existuje rozhranie na ovládanie NVDA pre vývojárov ďalších aplikácií. Je možné napr. prečítať text, zastaviť reč, zobraziť správu v braily a pod.
- Informačné a chybové správy sú prečítané na prihlasovacej obrazovke Windows vista / Windows 7. (#506)
- V programe Adobe Reader sú prečítané interaktívne formuláre, na vývoj ktorých bol použitý program Adobe LiveCycle. (#475)
- Ak je zapnutá voľba čítať dynamicky menený obsah (NVDA+5), NVDA dokáže automaticky čítať nové správy v konverzačnom okne programu Miranda-IM. Pridané boli tiež skripty na zopakovanie troch naposledy doručených správ (NVDA+Control+number). (#546)
- Podpora pre editačné polia Adobe Flash. (#461)


== Zmeny ==
- Veľmi dlhý popis v ponuke štart Windows 7 nie je viacej oznamovaný.
- Ovládač hlasového výstupu display bol nahradený zobrazovačom reči. Môže byť použitý nezávisle na aktuálne použitom hlasovom výstupe a je prístupný z menu nástroje. (#44)
- Správy na braillovskom zobrazovači automaticky zmiznú po stlačení klávesu, ktorý spôsobí zmenu fokusu. Doteraz boli správy vždy zobrazené po celú nastavenú dobu.
- Nastavovanie previazania braillovského kurzoru so systémovým fokusom alebo s prehliadacím kurzorom je možné urobiť aj z dialógu nastavenia brailu. Nastavenie sa tiež ukladá do používateľskej konfigurácii.
- Hlasový výstup eSpeak aktualizovaný na verziu 1.43.
- Prekladač do brailového písma liblouis aktualizovaný na verziu 1.8.0.
- Oznamovanie prvkov Počas posúvania po znakoch vo virtuálnom prehliadači bolo značne prepracované. Doteraz bolo oznamovaných množstvo nepotrebných informácií a výstup pri pohybe po znakoch bol úplne odlišný od výstupu počas pohybu po riadkoch. (#490)
- Kláves ctrl tiež zastavý reč ako stlačenie ostatných klávesov. Na pozastavenie a znovu pokračovanie stlačte shift.
- Počty riadkov a stlpcov v tabuľke nie sú viacej oznamované počas oznamovania zmien fokusu. Nie je to veľmi užitočné a v takýchto prípadoch NVDA veľa čítal.


== Opravy ==
- NVDA sa viac neodmieta spustiť, ak dôjde k chybe pri pokuse o inicializáciu podpori UI Automation. (#483)
- Celý obsah bunky tabuľky nie je viacej oznamovaný pri zmene fokusu vrámci bunky tabuľky v aplikáciách Mozilla. (#482)
- Vylepšená práca so stromovými zoznamami. Pri rozbaľovaní vetvy, ktorá má množstvo podpoložiek je načítanie položiek omnoho rýchlejšie.
- Pri pokuse načítať Sapi5 hlasy NVDA ignoruje hlasy, ktoré vracajú chybu. Doteraz jeden chybný Sapi5 hlas mohol spôsobiť, že sa vôbec nenačítal ovládač hlasových výstupov Sapi5.
- Nastavenie Čítať skratkové klávesy objektov sa uplatní aj vo virtuálnom prehliadači. (#486)
- Info o pozícii v tabuľke nie je nesprávne oznamované pre hlavičky riadkov a hlavičky stĺpcov vo virtuálnom prehliadači ak je vypnuté oznamovanie tabuliek.
- Vo virtuálnom prehliadači je správne oznamovaná pozícia o aktuálnej bunke ak opustíte tabuľku a neskôr bez navštívenia inej tabuľky sa opätovne vrátite do tej istej tabuľky, napr. stlačením šípky hore a šípky dolu v prvej bunke tabuľky.  (#378)
- Prázdne riadky v okne programu MS Word a v editačných prvkoch programu Internet explorer sú správne zobrazované v brailly. Doteraz sa v týchto situáciách zobrazovali aktuálne vety. (#420)
- Viacnásobné bezpečnostné opravy pri používaní NVDA na prihlasovacej obrazovke.
- Pozícia kurzora je správne aktualizovaná pri plynulom čítaní, ak v štandardných editačných poliach a programe ms word dôjde k prečítaniu väčšieho množstva textu ako sa vojde na obrazovku. (#418)
- Vo virtuálnom prehliadači NVDA viac nezobrazuje text pre obrázky alebo klikateľné objekty, ak sú tieto označené ako nerelevantné pre odčítače. (#423)
- Opravy pre rozloženie klávesnice laptop. (#517)
- Ak je brailovský kurzor zviazaný s prehliadacím kurzorom a fokus získa okno príkazového riadku, je možné korektne sa pohybovať po texte príkazového riadku.
- V programoch TeamTalk3 a TeamTalk4 Classic nie je viac oznamovaná aktualizácia indikátora priebehu znázorňujúca VU Meter a tiež v prichádzajúcom chate sú správne čitateľné národné znaky.
- Položky štart menu Windows 7 nie sú čítané 2 krát. (#474)
- Aktivovaním odkazov odkazujúcich na záložku v rovnakej stránke správne umiestni kurzor virtuálneho prehliadača na požadované miesto (s Firefox 3.6).
- Opravená chyba, kde v niektorých prípadoch nebol správne čitateľný všetok text v špecifických PDF dokumentoch.
- NVDA viac nečíta nesprávne čísla oddelené pomlčkou - napr. 500-1000.  (#547)
- NVDA viac nespôsobuje pád programu Internet explorer v systéme Windows XP pri zmene stavu začiarkavacích políčok na stránke Windows update. (#477)
- Ak je nastavený vstavaný eSpeak, súčasná reč a pípanie viac nespôsobujú bezdôvodné mrznutie na niektorých systémoch. Najčastejšie sa toto vyskytovalo napr. pri kopírovaní väčšieho množstva súborov v programe prieskumník.
- NVDA viac neoznamuje, že dokument zobrazený vo Firefoxe na pozadí je zaneprázdnený napr. ak sa v dokumente dynamicky zmení jeho časť. Spôsobovalo to tiež občasné nadbytočné oznamovanie stavového riadku aktuálne otvoreného okna. 
- Počas prepínania rozložení klávesnice Windows je oznamovaný celý názov aktuálneho rozloženia rečou aj v braily. V minulosti boli tieto zmeny oznamované len rečov, naviac niektoré alternatívne rozloženia napr. Dvorak neboli vôbec oznamované.
- Ak je vypnuté oznamovanie tabuliek, informácie o tabuľkách nie sú viac čítané pri zmene fokusu.
- Niektoré štandardné stromové zoznamy v 64 bitových aplikáciách ako napr. stromový zoznam zobrazujúci obsah v okne HTML Help sú od teraz prístupné. (#473)
- Opravené problémy s logovaním iných ako ascii znakov. Mohlo to spôsobovať zbytočné chyby na neanglických systémoch. (#581)
- Informácie v dialógu O programe sú zobrazované v nastavenom jazyku. Doteraz boli vždy zobrazované v angličtine. (#586)
- Prepnutie na hlas ktorý podporuje menej volieb ako predchádzajúce nastavený hlas pomocou skupiny nastavení hlasového výstupu nespôsobuje viac problémy.
- V skype 4.2 nie sú viac kontakty v zozname čítané viacnásobne.
- Opravené masívne memory leaky v kóde používateľského rozhrania a virtuálneho prehliadača. (#590, #591)
- Obídený škaredý bug v niektorých Sapi 4 hlasových výstupoch, ktorý spôsoboval pády NVDA. (#597)



= 2009.1 =
Najdôležitejšie novinky v tejto verzii sú podpora 64 bitových verzií Windows, úplne prepracovaná podpora pre čítanie dokumentov v programoch Microsoft Internet explorer a Adobe Reader, podpora pre Windows 7, možnosť čítať prihlasovaciu obrazovku Windows a schopnosť interakcie s prvkami flash a java na webových stránkach. Táto verzia obsahuje tiež množstvo všeobecných opráv, čo prispieva k celkovej stabilite programu.

== Nové vlastnosti ==
- Oficiálna podpora pre 64 bitové verzie Windows! (#309)
- Pridaný ovládač hlasového výstupu Newfon. Existuje špeciálne upravená verzia výstupu Newfon pre NVDA. (#206)
- Vo virtuálnom prehliadači môže byť prepínanie medzi režimom fokusu a prehliadacím režimom signalizované prehrávaním zvukových efektov. Je to konfigurovateľné v dialógu virtuálny prehliadač a predvolene zapnuté. (#244)
- V prípade, že sa použijú multimediálne klávesy na ovládanie hlasitosti, NVDA nepreruší reč a je tak možné hneď počuť výsledok. (#287)
- Kompletne prerobená podpora pre Internet explorer a Adobe Acrobat reader. Virtuálny prehliadač bol zladený s doteraz používaným virtuálnym prehliadačom pre programy Mozilla, čo pre Internet explorer a Acrobat reader znamená takmer okamžité načítanie stránok, rozšírenú rýchlu navigáciu, dialóg zoznam prvkov, výber a kopírovanie textu, automatické prepínanie režimu fokusu a režimu prehliadania a podporu zobrazovania v braily.
- Vylepšená podpora pre prvok zobrazujúci čas a dátum v dialógu vlastnosti času a dátumu v systéme Windows Vista.
- Vylepšená podpora pre modernú ponuku štart v systémoch Windows XP/Vista. Úroveň vnorenia je oznamovaná vo vetvách všetky programy a miesta.
- Množstvo čítaného textu pri zameraní kurzorom myši je konfigurovateľné v dialógu nastavenia myši. Je možné vybrať znak, slovo, riadok alebo odsek.
- Oznamovanie pravopisných chýb pri pohybe kurzorom v programe Microsoft Word.
- Podpora pre dialóg kontrola pravopisu v programe Microsoft Word 2007. Čiastočne funguje aj kontrola pravopisu v starších verziách.
- Podpora čítania správ v čistom texte v programe Windows live mail.
- Vo Windows Vista ak používateľ prejde na zabezpečenú pracovnú plochu (stlačením ctrl+alt+del alebo zobrazením dialógu UAC), NVDA na túto skutočnosť upozorní.
- Oznamovanie textu pod kurzorom myši v okne príkazového riadku.
- Podpora pre UI Automation použitím klientského rozhrania UI Automation vo Windows 7, spolu s ďalšími opravami vylepšujúcimi kompatibilitu s Windows 7.
- NVDA je možné nastaviť, aby sa automaticky spúšťal po prihlásení do Windows. Toto nastavenie sa nachádza v dialógu všeobecné nastavenia.
- NVDA dokáže čítať tzv. zabezpečené obrazovky Windows ako napr. prihlasovaciu obrazovku, obrazovku, ktorá sa zobrazí pri stlačení control+alt+delete a obrazovky UAC vo Windows XP alebo novších. Čítanie týchto obrazoviek je možné konfigurovať v dialógu všeobecné nastavenia. (#97)
- Ovládač braillovských zariadení série Optelec ALVA BC6.
- Vo virtuálnom prehliadači je možné použiť klávesy n a shift+n, ktoré v požadovanom smere preskočia skupinu odkazov.
- Vo virtuálnom prehliadači sú oznamované oblasti stránky. Na rýchlu navigáciu po týchto oblastiach je možno použiť d a shift+d. (#192)
- Dialóg zoznam odkazov, ktorý je možné vyvolať z virtuálneho prehliadača bol premenovaný na zoznam prvkov. Okrem odkazov dokáže zobrazovať nadpisy a oblasti stránky, ktoré sú znázornené hierarchicky v stromovom zozname. (#363)
- Nový dialóg zoznam prvkov dokáže filtrovať obsah zoznamu podľa toho, čo píšete. (#173)
- prenosná verzia hľadá konfiguračné súbory v podpriečinku 'userConfig'. Rovnako ako v prípade nainštalovanej verzii toto ponechá konfiguračné súbory oddelené od ostatných súborov NVDA.  
- Vlastné aplikačné moduly, ovládače hlasových výstupov alebo braillovských riadkov sú v adresári s používateľskou konfiguráciou.  
- Obsah je do virtuálneho prehliadača načítaný na pozadí. Počas toho je v obmedzenej miere možné pracovať so systémom. Ak načítanie trvá dlhšie než sekundu, NVDA na to upozorní.
- Ak NVDA detekuje, že zamrzol, pokúsi sa prepustiť všetky klávesy do operačného systému, čo môže pomôcť obnoviť stabilitu systému.
- Podpora pre aria proces ťahať a pustiť. (#239)
- Názov dokumentu a aktuálny výber alebo aktuálny riadok je automaticky prečítaný, ak fokus prejde do virtuálneho prehliadača. Oznamovanie fokusu pri vstupe do virtuálneho prehliadača je takto konzistentné s oznamovaním ostatných dokumentov. (#210)
- Vo virtuálnom prehliadači je možné stlačením klávesu enter vstúpiť do vnorených objektov ako napr. prvky flash alebo java. Ak je takýto prvok prístupný, je možné na navigáciu používať štandardné navigačné klávesy. Na návrat do virtuálneho prehliadača stlačte NVDA+medzerník (#431)
- Vo virtuálnom prehliadači je možné na navigáciu po vnorených objektoch používať klávesy o a shift+o.
- NVDA konečne dokáže sprístupniť aplikácie bežiace s administrátorskými oprávneniami v systémoch Windows Vista a novších. Táto funkcionalita je dostupná len v oficiálnych verziách. Nebude to fungovať v prenosných verziách a snapshotoch.  (#397)
- V oficiálnych verziách nebude viac prehrávaný chybový zvuk. Chyby budú stále zaznamenané v logu.


== Zmeny ==
- Pri štarte programu NVDA nepovie "NVDA spustený".
- Zvuky signalizujúce spustenie a ukončenie programu sú prehrávané cez výstupné zvukové zariadenie nastavené v dialógu hlasový výstup. Doteraz boli tieto zvuky prehrávané cez predvolené výstupné zvukové zariadenie systému Windows. (#164)
- Oznamovanie aktualizácie indikátora priebehu bolo vylepšené. Najzaujímavejšia je možnosť, že NVDA dokáže súčasne oznamovať rečou aj pípaním.
- Niektoré všeobecné typy prvkov ako rámik, panel alebo aplikácia nie sú viacej oznamované pri získaní fokusu, len ak je daný prvok nepomenovaný.
- Príkaz na kopírovanie obsahu prehliadacím kurzorom NVDA+F10 kopíruje text od vyznačenej počiatočnej pozície až po aktuálnu pozíciu. V minulosti NVDA nekopíroval znak na aktuálnej pozícii, čo neumožňovalo okopírovať posledný znak. (#430)
- Skript navigačného objektu - kde som (ctrl+NVDA+numpad5) bol odstránený, pretože túto kombináciu nebolo možné stlačiť na mnohých klávesniciach a skript sa neukázal ako užitočný.
- Klávesová skratka skriptu poloha aktuálneho objektu bola zmenená na NVDA+numpadDelete. Kombinácia nebola dostupná na niektorých klávesniciach. Skript tiež teraz oznamuje výšku a šírku objektu namiesto súradníc pravého dolného rohu. 
- Lepší výkon hlavne na netbookoch, keď NVDA generuje množstvo po sebe nasledujúcich tónov napr. pri zapnutej akustickej signalizácii pohybu kurzora myši. (#396)


=== Opravy ===
- Keď je NVDA spustený zadaním cesty v 8.3 formáte napr. "c:\progra~1\nvda\nvda", dokáže identifikovať skutočnú cestu a načítať konfiguráciu.
- Čítanie názvu okna stlačením NVDA+t funguje správne aj v prípade, že fokus má menu alebo panel ponúk.
- V braily sa viacej nezobrazujú zbytočné prvky napr. nepomenované panely.
- NVDA nečíta nadbytočné informácie v prípade zmeny fokusu na niektoré prvky java aplikácií a napr. lotus symphony: koreňový panel, vrstvený panel a posúvne panely.
- Obídením problémov so zoznamovým rámikom na karte hľadať dialógu pomocníka vylepšená podpora pre vyhľadávanie v pomocníkovi a chm dokumentoch.
- NVDA oznamuje správne čísla stránok v programe Microsoft Word aj v prípade, že boli čísla strán posunuté vo vlastnostiach dokumentu.
- Lepšia podpora pre editačné polia v Microsoft Office. Napr. v editačnom poli v dialógu otvoriť alebo hľadať je možné používať kurzorové klávesy na čítanie textu.
- Lepšia podpora pre okno príkazového riadku. NVDA dokáže čítať obsah z konzoly aj v prípade, že je priamo otvorená konzolová aplikácia. Stlačenie ctrl+break nespôsobí pád NVDA..
- Vo Windows Vista a novších, Inštalátor NVDA spúšťa po ukončení NVDA s oprávneniami prihláseného používateľa.
- Ak je zapnuté čítať po slovách, NVDA správne reaguje na stlačenie klávesu backspace. (#306)
- NVDA nesprávne neoznamuje "ponuka štart" pre určité kontextové ponuky v prieskumníku Windows/okne tento počítač. (#257)
- V Mozilla Gecko aplikáciách NVDA detekuje pomenovania ARIA ak neexistuje žiadny iný vhodný obsah. (#156)
- NVDA viac automaticky nezapína režim fokusu pre editačné polia, ktoré menia svoju hodnotu pri zmene fokusu; napr. http://tigerdirect.com/. (#220)
- NVDA sa pokúsi spamätať zo situácií, ktoré kedysi spôsobovali kompletné zamrznutie. Toto môže trvať tak do 10 sekúnd.
- Ak je jazyk používateľského rozhrania NVDA nastavený na windows, NVDA použije jazyk, v ktorom je zobrazené používateľské rozhranie Windows namiesto jazyka vybratého v miestnych nastaveniach.
- Podpora pre AIM7.
- Skript prepustiť nasledujúci kláves neostane zaseknutý ak je jeho skratka podržaná dlhšie. Doteraz bolo po takomto zaseknutí nutné reštartovať NVDA, pretože neakceptoval žiadne príkazy z klávesnice. (#413)
- Udalosť o získaní fokusu panela úloh nie je viac ignorovaná. Panel úloh získa fokus najčastejšie po ukončení aplikácie. V minulosti v takýchto situáciách NVDA neoznamoval nič.
- Ak je zapnuté čítanie čísla riadkov, správne funguje čítanie v editačných poliach java access bridge (aj OpenOffice.org).
- Príkaz na kopírovanie textu použitím prehliadacieho kurzora (NVDA+F10) správne zvláda situáciu ak je zavolaný na pozícii pred počiatočnou značkou. Spôsobovalo to napr. pád Notepad++.
- Špeciálny riadiaci znak (0x1) nespôsobuje zmeny vlastností hlasového výstupu eSpeak ako napríklad zmenu výšky a tempa.  (#437)
- Skript na oznamovanie aktuálneho výberu správne rozpozná prvky, ktoré nepodporujú označovanie textu do bloku.
- V programe Miranda-IM NVDA zamrzol pri stlačení klávesu enter na niektorých špecifických tlačidlách alebo odkazoch. (#440)
- Opravený problém s hláskovaním a kopírovaním navigačného objektu do schránky. Namiesto aktuálneho riadku alebo aktuálneho výberu bol skopírovaný celý text.
- Obídená chyba Windows, ktorá spôsobovala čítanie nadbytočného textu v názvoch odkazov v dialógoch prieskumníka a internet exploreru. (#451)
- Opravený problém s oznamovaním času a dátumu. Dátum bol na niektorých systémoch skrátený. (#471)
- Opravená chyba, keď po zobrazení prihlasovacej obrazovky bola zmazaná systémová značka identifikácie prítomnosti odčítača. Spôsobovalo to problémy s aplikáciami, ktoré týmto spôsobom overujú beh odčítača (napr. Adobe reader alebo skype). (#462)
- V zoznamových rámikoch Internet explorer 6 je po zmene výberu správne oznamovaná aktuálna položka. (#342)



= 0.6p3 =

== Nové vlastnosti ==
- Pole na editáciu vzorcov v programe Microsoft Excel je NVDA neprístupné. NVDA preto po stlačení F2 zobrazí vlastný dialóg. 
- Podpora pre oznamovanie formátovania v editačných poliach IAccessible2, tiež aplikácií Mozilla.
- Pravopisné chyby môžu byť automaticky oznamované. Je to možné konfigurovať v dialógu nastavenia čítania textu.
- NVDA je možné nastaviť tak, že bude pípať pre všetky alebo len viditeľné aktualizácie indikátora priebehu. Je tiež možné nechať čítať hodnotu indikátora každých 10 percent.
- V prvkoch richedit NVDA rozpoznáva odkazy.
- Vo väčšine editačných polí je kurzor myši možné presunúť na znak zameraný prehliadacím kurzorom. Doteraz bol v takýchto prípadoch kurzor myši presunutý do stredu prvku.
- Vo virtuálnom prehliadači prehliadací kurzor sa pohybuje po texte z prehliadača a nie po texte z navigačného objektu, ktorý nie je vždy užitočný. Znamená to, že je možné sa po virtuálnom prehliadači pohybovať pomocou navigačného objektu a prehliadací kurzor sa posunie na správne miesto.
- Pridané chýbajúce stavy prvkov java.
- Ak príkaz na vyslovenie názvu prvku (NVDA+t) je stlačený 2 krát, názov bude vyhláskovaný. Ak je stlačený 3 krát, názov bude skopírovaný do schránky.
- Pri zapnutej klávesovej nápovede NVDA číta názvy modifikátorov, ak sú stláčané samostatne.
- Názvy klávesov čítané pri zapnutej klávesovej nápovede je možno prekladať.
- Podpora pre čítanie v editačnom poli rozpoznaný text v programe SiRecognizer. (#198)
- Podpora pre braillovské zobrazovače!
- Príkaz (NVDA+c), ktorý prečíta text v schránke windows. (#193)
- Pri zmene fokusu alebo pohybe kurzora vo virtuálnom prehliadači NVDA sa automaticky dokáže prepnúť do režimu fokusu alebo prehliadacieho režimu v závislosti od zameraného prvku. Konfigurovateľné je to v dialógu Virtuálny prehliadač. (#157)
- Ak NVDA automaticky prejde s prehliadacieho režimu virtuálneho prehliadača do režimu fokusu, na prechod späť do prehliadacieho režimu je možné použiť kláves escape. Stále je možné použiť aj NVDA+medzerník.
- Prepracovaný ovládač SAPI4 hlasových výstupov. Nahrádza sapi4 serotek a SAPI4 active voice a opravuje všetky ich chyby.
- Spustiteľný súbor NVDA obsahuje manifest, čo znamená, že vo Windows Vista NVDA nebeží v režime kompatibility.
- Subor nastavení a rečové slovníky sú uložené v priečinku špecifickom pre aktuálne prihláseného používateľa. Je to potrebné pre Windows Vista a tiež to umožňuje mať pre každého používateľa systému zvlášť uložené nastavenia. 
- Podpora pre získanie pozície z prvkov IAccessible2.
- Možnosť kopírovania textu do schránky Windows pomocou prehliadacieho kurzora. NVDA+F9 nastaví aktuálnu pozíciu ako počiatočnú značku a NVDA+F10 skopíruje text medzi nastavenou počiatočnou značkou a aktuálnou pozíciou do schránky. (#240)
- Podpora pre niektoré editačné polia v obslužnom programe pinnacle tv.
- Pri oznamovaní výberu NVDA pre dlhší text oznamuje počet znakov namiesto čítania celého dlhého textu.  (#249)


== Zmeny ==
- Ak je výstupné zariadenie NVDA nastavené na predvolené zariadenie Windows (mapovač zvuku), NVDA sa automaticky prispôsobí ak sa počas behu predvolené zariadenie zmení. Platí to pre tóny NVDA a vstavaný eSpeak. Napríklad, ak sa externé USB zariadenie po pripojení stane predvoleným, NVDA ho automaticky použije.
- Vylepšená výkonnosť vstavaného eSpeaku s niektorými ovládačmi zvukových kariet pre Windows Vista.
- Oznamovanie odkazov, nadpisov, tabuliek, zoznamov a citácií je možné nastavovať v dialógu nastavenia čítania textu. Pre nastavenia oznamovania týchto prvkov pre virtuálny prehliadač sa doteraz používal dialóg virtuálny prehliadač. Odteraz všetky dokumenty sa podriaďujú týmto nastaveniam.
- Tempo je predvoleným prvkom skupiny nastavení hlasového výstupu.
- Vylepšená práca s aplikačnými modulmi.
- Namiesto termínu "režim prepúšťania" NVDA vo virtuálnom prehliadači teraz používa "prehliadací režim" a "režim fokusu".
- Úroveň vnorenia je oznamovaná pre položky stromového zoznamu ak sa zmenila. Doteraz toto fungovalo len pre natívne stromové zoznamy SysTreeView32) Windows.


== Opravy ==
- Konce čítaných textov nie sú viac odseknuté v prípade, že sa NVDA so vstavaným eSpeakom používa cez vzdialenú plochu.
- Problémy s ukladaním rečových slovníkov pre niektoré hlasy.
- Odstránenie opozdenia pri navigácii po jednotkách iných ako sú znaky smerom ku koncu veľkých textových dokumentov načítaných vo virtuálnom prehliadači pre Mozilla Gecko. (#155)
- Ak je zapnuté čítať po slovách, stlačenie klávesu enter spôsobí prečítanie aktuálneho slova.
- Problémy s kódovaním v editačných poliach richedit.
- Zobrazovač logu používa richedit namiesto jednoduchého editačného poľa. Opravuje to čítanie po slovách.
- problémy s vnorenými objektami v prvkoch richedit.
- NVDA číta čísla strán v programe Microsoft Word. (#120)
- Opravený problém, keď po zmene fokusu na začiarknuté začiarkavacie políčko a následnom odčiarknutí pomocou medzerníka NVDA neoznámi zmenu stavu.
- Správne oznamovanie čiastočne zaškrtnutých začiarkavacích políčok v aplikáciách Mozilla.
- Ak sa výber textu predlžuje a skracuje v oboch smeroch súčasne, NVDA to oznámi ako jedinú zmenu.
- Text je správne čítaný pri pohybe myšov v editačných poliach Mozilla Gecko.
- Plynulé čítanie by nemalo spôsobovať pád niektorých Sapi5 hlasových výstupov.
- Zmeny výberu neboli oznamované pre editačné polia prv, než sa po spustení NVDA vyskytla prvá udalosť o zmene fokusu.
- Sledovanie myšy pre objekty java (#185)
- Vetvy stromových zoznamov java, ktoré nemajú ďalšie vnorené položky nie sú oznamované ako zatvorené.
- Ak sa do popredia dostane okno java, NVDA oznámi prvok, ktorý získal fokus. Doteraz bolo oznamované len okno vrchnej úrovne.
- Zabudovaný eSpeak viac neprestane úplne hovoriť po výskyte chyby.
- Zmeny parametrov hlasu vykonané pomocou skupiny nastavení hlasového výstupu neboli správne uložené.
- Vylepšené oznamovanie napísaných znakov a slov.
- Niektorý prichádzajúci text v okne príkazového riadku nebol automaticky prečítaný.
- NVDA ignoruje udalosti o zmene fokusu z neviditeľných okien.
- Správna detekcia fokusu po opustení kontextovej ponuky.
- NVDA oznamuje aktiváciu kontextovej ponuky v ponuke štart.
- Klasická ponuka štart je oznamovaná ako "štart ponuka" nie ako "applications menu".
- Vylepšené automatické čítanie upozornení napr. v Mozilla firefox. Text nie je viac čítaný opakovane a nie sú čítané nadbytočné podrobnosti. (#248)
- Text editačných polí, ktoré môžu nadobudnúť systémový fokus nie je automaticky čítaný ako obsah dialógu. Toto zamedzí automatickému prečítaniu napr. celej licenčnej zmluvy v rôznych inštalátoroch.
- NVDA neoznamuje zrušenie výberu textu pri opustení niektorých editačných polí, napr. pole s adresov v programe Internet explorer a adresné polia v Thunderbird 3.
- Po otvorení správ v čistom texte v programoch Outlook Express a Windows mail, NVDA správne umiestni systémový kurzor do textu. Doteraz bolo nutné kliknúť do správy alebo použiť tab na správne umiestnenie fokusu.
- Opravených niekoľko závažných problémov s funkciou Čítať príkazové skratky.
- NVDA konečne dokáže čítať dlhší text ako je 65535 znakov v štandardných editačných poliach, Napr. veľký súbor v programe poznámkový blok.
- Vylepšené čítanie po riadkoch v editačných poliach MSHTML (okno novej správy v programe Outlook Express a vstupné editačné polia v programe Internet explorer).
- NVDA nezamrzne úplne pri čítaní textu v OpenOffice.org.  (#148, #180)



= 0.6p2 =
- Pridaním nových variantov vylepšená predvolená konfigurácia eSpeaku.
- Pridané rozloženie klávesnice laptop. Rozloženie klávesnice je konfigurovateľné v dialógu Nastavenia klávesnice. (#60)
- Podpora pre zoskupenia položiek štandardných zoznamov (Windows Vista). (#27)
- Oznamovanie stavu začiarkavacích položiek stromového zoznamu.
- Klávesové skratky na vyvolanie dialógov nastavení.
- Podpora pre aplikácie s rozhraním IAccessible2 ako napr. Mozilla Firefox je automaticky nainštalovaná bez nutnosti registrovať knižnice do systému.
- Opravený pád v dialógu zoznam odkazov. (#48)
- NVDA nespôsobuje pád Mozilla Gecko aplikácií ak NVDA beží s vyššími oprávneniami ako postihnutá aplikácia.
- Vzory rečových  slovníkov (doteraz používateľských slovníkov) môžu ale nemusia byť citlivé na veľkosť písmen a môžu byť tiež regulárne výrazy. (#39)
- Možnosť zachovania vzhľadu virtuálneho prehliadača ako na obrazovke je možné konfigurovať v dialógu.
- NVDA viac nenačíta záložky bez atribútu href do virtuálneho prehliadača.  (#47)
- Príkaz na vyhľadávanie vo virtuálnom prehliadači si pamätá naposledy hľadaný text. (#53)
- Stav začiarknuté nebol oznamovaný pre všetky prepínače a začiarkavacie políčka vo virtuálnom prehliadači.
- Režim prepúšťania je špecifický pre každý dokument zvlášť. (#33)
- Opravené zasekávanie po návrate z úsporného režimu.
- Vylepšená podpora pre zoznamové rámiky v programe Mozilla Firefox. Pri navigácii položkami nie je text čítaný viacnásobne, pri strate systémového fokusu nie sú čítané nadbitočné informácie špecifické príkazy pre virtuálny prehliadač fungujú.
- Vylepšená detekcia stavového riadku v rôznych aplikáciách. (#8)
- Interaktívny nástroj konzola python pre vývojárov.
- Plynulé čítanie, oznamovanie výberu a čítanie aktuálneho riadku fungujú pri zapnutom režime prepúšťania cez virtuálny prehliadač. (#52)
- Skripty na ovládanie tempa reči boli odstránené. Funkcionalita je stále dostupná v skupine prvkov nastavení hlasového výstupu.
- Vylepšený rozsah a formát pípania pri aktualizácii indikátora priebehu.
- Viacej príkazov rýchlej navigácie: l - zoznam, i - položka zoznamu, e - editačné pole, b - tlačidlo, x - začiarkavacie políčko, r - prepínač, g - grafika, q - citácia, c - zoznamový rámik, 1 až 6 - nadpis korešpondujúcej úrovne, s - oddeľovač, m - rámik. (#67, #102, #108)
- Po prerušení nahrávania stránky v Mozilla Firefox NVDA dovolí prehliadať pôvodne načítanú stránku ak virtuálny prehliadač ešte nebol ukončený. (#63)
- Navigácia po slovách vo virtuálnom prehliadači je teraz presnejšia, pretože slová neobsahujú text z viacerých prvkov. (#70)
- Vylepšená presnosť pri sledovaní a aktualizácii fokusu vo virtuálnom prehliadači pre aplikácie Mozilla Gecko.
- Hľadanie v opačnom smere pre virtuálny prehliadač (shift+NVDA+f3).
- Vylepšená responsibilita v dialógoch Mozilla FIrefox a Thunderbird. (#66)
- Možnosť zobrazovať NVDA log z menu Nástroje.
- Skripty ako napr. čas a dátum rešpektujú miestne nastavenia.
- Zoznam jazykov v dialógu Všeobecné nastavenia obsahuje lokalizované názvy.
- Počas prezerania textu aktuálneho navigačného objektu prehliadacím kurzorom sa text automaticky aktualizuje napr. pri čítaní položiek zoznamu v okne správcu úloh. (#15)
- Počas posúvania myši je oznamovaný aktuálny odsek pod kurzorom namiesto  celého textu alebo jediného slova. Akustická signalizácia a oznamovanie typov prvkov viac nie sú povinné.
- Podpora pre čítanie textu pod kurzorom myši v programe Microsoft Word.
- Opravená chyba, kde po opustení panela ponúk NVDA neoznamoval výber textu.
- V programe Winamp nie je automaticky opakovaný názov skladby počas prepínania.
- V programe Winamp je možné sledovať stav prepínačov opakovanie a náhodné prehrávanie. Funguje v hlavnom okne a editore playlistu.
- Zdokonalená možnosť aktivovať niektoré zvláštne prvky vo virtuálnom prehliadači pre Mozilla aplikácie. Sú to napr. klikateľné obrázky, odkazy v podobe celých odsekov a ďalšie exotické prvky.
- Odstránené opozdenie pri otváraní dialógov nastavení na niektorých systémoch. (#65)
- Aplikačný modul pre Total commander.
- Odstránená chyba v ovládači Sapi4 Serotek, kde výška ostala zaseknutá vysoko, napr. pri prečítaní veľkého písmena. (#89)
- Vo virtuálnom prehliadači NVDA oznamuje klikateľné prvky ako klikateľné. (#91)
- Počas navigácii vo virtuálnom prehliadači Mozilla Gecko sa posúva aj skutočné zobrazenie tak, aby mohli aj vidiaci sledovať, ktorú časť stránky si používateľ NVDA prezerá. (#57)
- Provizórná podpora pre tzv. aktívne oblasti stránky v aplikáciách IAccessible2. Je to užitočné napr. v aplikácii Chatzilla, kde sú prichádzajúce správy prečítané automaticky.
- Vylepšenia súvisiace s používaním webových aplikácií založených na WAI-ARIA napr. Google docs.
- Nepridávať nadbytočné prázdne riadky do textu vykopírovaného z virtuálneho prehliadača.
- V zozname odkazov stlačenie medzerníka viacej neaktivuje práve vybratú položku. Namiesto toho môže byť medzerník použitý ako ostatné znaky pri vyhľadávaní toho správneho odkazu.
- Pri presúvaní myši na miesto zamerané objektovou navigáciou NVDA premiestni kurzor myši do prostred zameraného objektu. Doteraz bol kurzor umiestnený do ľavého horného rohu.
- Skripty na emuláciu ľavého a pravého kliknutia myšou (numerické lomeno a numerická hviezdička).
- Vylepšená navigácia v oznamovacej oblasti system tray. Fokus by nemal viacej ostať zaseknutý na jedinej položke.
- Lepšia navigácia v editačných poliach. Pri nepretržitom stláčaní klávesu na konci NVDA nečíta nadbytočný text.
- Odstránená možnosť čakania kým NVDA dočíta nejakú hlášku. Opravuje to pády s niektorými hlasovými výstupmi. (#117)
- Podpora hlasového výstupu Audiologic Tts3 od Gianluca Casalino. (#105)
- Vylepšená navigácia v dokumentoch MS Word.
- Presnejšie čítanie upozornení v Mozilla Gecko aplikáciách.
- Opravené pády pri pokuse o uloženie konfigurácie na neanglických systémoch. (#114)
- Dialóg vitajte v NVDA. Tento dialóg obsahuje základné info o používaní NVDA a umožňuje nastavenie klávesu capslock ako modifikátoru NVDA. Tento dialóg sa bude zobrazovať vždy pri štarte NVDA, kým to používateľ nenastaví inak.
- Opravená provizórná podpora pre Adobe reader, aby bolo možné čítať dokumenty v Adobe reader 8 a 9.
- Opravené možné chyby, ak boli stlačené klávesy a NVDA nebol ešte úplne inicializovaný.
- Ak je povolené ukladanie konfigurácii pri ukončení, konfigurácia sa uloží aj pri reštarte alebo vypínaní PC.
- Zvuk logo NVDA v inštalátore od Victor Tsaran.
- Pri ukončení NVDA korektne odstráni ikonu z oznamovacej oblasti.
- Názvy štandardných prvkov v dialógoch NVDA (napr. OK a Zrušiť) sú zobrazené v jazyku NVDA nie v angličtine.
- V ponuke štart aj pre spustiteľný súbor nvda.exe sa používa ikona NVDA namiesto predvolenej ikony.
- Číta bunky v MS Excel po stlačení tab alebo shift+tab. (#146)
- Opravené viacnásobné čítanie v niektorých zoznamoch Skype.
- Vylepšené sledovanie kurzora v java a IAccessible 2 aplikáciách. Napr. v OpenOffice.org a lotus symphony NVDA vyčká na zmenu kurzora a až potom prečíta aktuálne slovo alebo znak. (#119)
- Podpora pre prvok AkelEdit v programe AkelPad 4.0.
- Odstránenie mrznutie pri prechode z dokumentu do menu v programe Lotus symphony.
- NVDA viac nemrzne po spustení odinštalácie z dialógu Pridať alebo odstrániť programy. (#30)
- NVDA nezamrzne hneď po otvorení programu Spybot Search & Destroy.



= 0.6p1 =

== Prístup k webovému obsahu prostredníctvom nového virtuálneho prehliadača (Zatiaľ len pre Gecko 1.9 aplikácie Mozilla vrátane firefox 3 a thunderbird3) ==
- Nahrávanie stránok je snáď až 30 krát rýchlejšie (vo väčšine prípadov nie je vôbec treba čakať na nahratie stránky do virtuálneho prehliadača)
- Zoznam odkazov (NVDA+f7)
- Prepracovaný dialóg Hľadať (control+nvda+f) tak, že vyhľadávanie neberie do úvahy veľkosť písmen, plus opravené problémy zo získavaním fokusu.
- V novom virtuálnom prehliadači je možné vyberať a kopírovať text
- Implicitne nový virtuálny prehliadač prezentuje obsah tak, ako je zobrazený na obrazovke (Odkazy a prvky formulára nie sú vždy na novom riadku, len ak je to skutočne tak vizuálne na stránke). Túto vlastnosť možno prepínať klávesovou kombináciou NVDA+v.
- Je možné pohybovať sa po odstavcoch použitím Ctrl+šípka hore a Ctrl+šípka dolu.
- Podpora pre dynamicky sa aktualizujúci obsah
- Celkovo je pohyb po riadkoch oveľa presnejší.


== Internacionalizácia ==
- Počas behu NVDA je možné písať národné znaky, ktoré si vyžadujú použitie tzv. mŕtvych klávesov.
- NVDA dokáže oznamovať zmeny rozloženia klávesnice (napr. po stlačení alt+shift).
- Pri čítaní aktuálneho času a dátumu NVDA zohľadňuje miestne nastavenia počítača.
- Český preklad od Tomáša Valúška a Jaromíra Víta)
- Vietnamský preklad od Dang Hoai Phuc
- Afrikánsky preklad (af_ZA) od Willem van der Walt.
- Ruský preklad od Dmitry Kaslin
- Poľský preklad od DOROTA CZAJKA a spol.
- Japonský preklad od Katsutoshi Tsuji.
- Thaiský preklad od Amorn Kiattikhunrat
- Chorvátsky preklad od Mario Perčinič a Hrrvoje Katič
- Galícijský preklad od Juan C. buno
- Ukrajinský preklad od Aleksey Sadovoy 


== Reč ==
- NVDA obsahuje eSpeak 1.35 ktorého prednosti sú napr. vylepšená podpora pre viaceré jazyky, pomenované varianty, možnosť hovoriť rýchlejšie.
- V dialógu nastavenia hlasu je možné zmeniť variant ak to aktuálny hlasový výstup podporuje. Varianty sú jemné zmeny pre aktuálny hlas. (Varianty podporuje eSpeak).
- Rovnako ako variant je v dialógu nastavenia hlasu možné meniť aj intonáciu. (Podporuje ju eSpeak).
- Do dialógu Prezentácia objektov je pridané nastavenie, ktoré zapína a vypína oznamovanie pozícii objektu (napr. 1 z 4).
- NVDA dokáže pípať pri hláskovaní veľkých písmen. Nastavenie sa nachádza v dialógu Nastavenia hlasu. Je tam aj nastavenie, či má NVDA pri hláskovaní veľkých písmen zvýšiť hlas. Teraz je teda možné si vybrať z možností: Povedať veľké, Zvýšiť hlas, pípať a ľubovolne tieto možnosti kombinovať.
- Pridaná možnosť pozastavenia reči (rovnaké ako v Voice Over pre Mac). Keď NVDA niečo hovorí, je možné stlačiť Ctrl alebo Shift na pozastavenie reči. Neskôr ak nie je stlačené nič iné je možné opätovným stlačením klávesu Shift pokračovať tam, kde bola reč pozastavená.
- Virtuálny ovládač hlasového výstupu, ktorý namiesto posielania textu na hlasový výstup vypisuje text do plávajúceho okna. Toto je užitočné pre zdravých vývojárov, ktorý nie sú zvyknutý na hlasový výstup a napriek tomu chcú vedieť, čo NVDA hovorí. Je veľmi pravdepodobné, že má tento systém ešte nejaké chybičky, tak že akákoľvek odozva je určite vítaná.
- NVDA predvolene nečíta všetku interpunkciu. Je to možné rýchlo prepnúť NVDA+p.
- Zabudovaný eSpeak implicitne hovorí pomalšie; čo môže pomôcť tým, ktorý len inštalujú, alebo prvý krát začínajú používať NVDA.
- Pridané sú používateľské slovníky, ktoré umožňujú získať kontrolu nad tým, ako budú niektoré frázy čítané hlasovým výstupom. Máme 3 typy slovníkov: predvolený, pre aktuálny hlas a dočasný slovník. Položky obsiahnuté v predvolenom slovníku ovplyvnia všetky frázy čítané NVDA. Slovník pre aktuálny hlas ovplyvní len čítanie pomocou aktuálneho hlasového výstupu s nastaveným aktuálnym hlasom. Dočasný slovník je určený pre situácie, keď chcete pridať pravidlo do slovníka len počas vykonávania určitej úlohy a nechcete, aby zmena bola zachovaná (po ukončení NVDA sa dočasný slovník vymaže). V aktuálnej verzii sú pravidlá slovníka regulárne výrazy.
- Hlasové výstupy sú schopné využiť nastavenie výstupného zariadenia v dialógu Hlasový výstup..


== Výkonnosť ==
- NVDA nemá vysoké nároky na operačnú pamäť počas editácie obsahu v editačných poliach MSHTML.
- Vylepšená navigácia v prvkoch, ktoré nemajú skutočný systémový kurzor (napr. okno histórie programov MSN messenger a windows live messenger, položky zoznamov a stromových zoznamov).
- Lepšia podpora pre okná richEdit.
- Počas jedného spustenia NVDA viacej nezaberá čím ďalej tým viacej pamäte
- Opravené problémy pri opakovanom fokuse v okne príkazového riadku. NVDA zvyklo v takýchto situáciách úplne zamrznúť.


== Klávesové príkazy ==
- NVDA+shift+numpad6 a NVDA+shift+numpad4 Umožňujú navigáciu vpred a späť v rámci celej hierarchii. Znamená to, že na prezretie všetkých prvkov v okne aktuálnej aplikácii môžete použiť tieto príkazy bez toho, aby ste sa starali o vzťahy podradenosti či nadradenosti prehliadaných objektov. V prípade, že takýto posun prejde na inú úroveň v hierarchii, bude táto zmena indikovaná pípaním.
- Mnohé nastavenia hlasového výstupu je možné vykonávať bez nutnosti otvorenia dialógu Nastavenia hlasu použitím tzv. skupiny nastavení hlasového výstupu. Ctrl+NVDA+šípky vľavo a vpravo menia aktuálnu voľbu v skupine a kombinácie Ctrl+NVDA+šípky hore a dolu menia hodnotu práve aktívnej voľby.
- Možnosť prečítať vybratý text v editačných poliach (NVDA+shift+šípka hore).
- Niektoré príkazy NVDA, ktoré čítajú text dokážu text aj vyhláskovať (napr. oznámenie aktuálneho riadku, slova, znaku, objektu).
- Capslock, insert ako aj numerický insert môžu byť použité ako kláves NVDA. Dvojité stlačenie niektorej z týchto klávesy pošle klávesu operačnému systému, čím napodobníte chovanie ako keby NVDA ani nebol spustený. Na nastavenie NVDA klávesov môžete použiť dialóg Nastavenia klávesnice.


== Podpora pre rôzne aplikácie ==
- V histórii programov MSN messenger a windows live messenger je možné vyberať a kopírovať text.
- Provizórná podpora pre Audacity
- Podpora pre viaceré prvky v Skype
- Zdokonalená podpora pre Miranda-im
- Opravené problémy s oznamovaním fokusu pri otváraní HTML správ v programe Outlook Express.
- Polia pri práci s diskusnými skupinami sú správne pomenované v programe Outlook Express.
- NVDA dokáže čítať adresy v programe Outlook Express (komu, kópia...)
- Oznamovanie fokusu v zozname správ v programe Outlook Express by malo byť po vymazaní správy presnejšie.


== Aplikačné rozhrania ==
- Zmeny v objektovej navigácii pre MSAA objekty. Ak okno má posúvač, systém menu, je možné ich zamerať navigačným objektom.
- Podpora pre IAccessible2. Okrem toho, že toto umožní oznamovanie viacerých rolí a stavov, umožňuje to tiež čítať a vyberať text v editačných poliach programov ako firefox 3 a thunderbird 3.
- Podpora pre editačné polia scintilla (notepad++ alebo tortoyse SVN).
- Podpora pre java access bridge. Umožňuje čiastočný prístup k OpenOffice a iným samostatným java aplikáciám..


== Myš ==
- Lepšia podpora čítania textu počas posúvania kurzorom myšy. Je to teraz o mnoho rýchlejšie a tiež v niektorých prvkoch (editačných poliach, oknách java a IAccessible2) číta slovo pod kurzorom myši. Toto môže byť užitočné pre slabozrakých, ktorí by chceli prečítať špecifické časti textu pod kurzorom myši.
- Do dialógu nastavenia myši bola pridaná nová voľba Pohyb myši Indikovať zvukom. Keď je to zaškrtnuté, pri každom pohybe NVDA krátko zapípa. Výška tónu reprezentuje ypsilónovú os, a vyváženie kanálov reprezentuje x-ovú os. Toto umožní nevidiacemu získať čiastočnú predstavu, kde približne sa kurzor myši práve nachádza. Toto tiež závisí na voľbe oznamovať objekty pod kurzorom myši. Znamená to, že ak sa rýchlo potrebujete zbaviť pípania aj oznamovania, môžete stlačiť NVDA+m. Hlasitosť pípania sa tiež mení podľa množstva jasu na aktuálne prechádzanom mieste.


== Prezentácia objektov ==
- Vylepšená podpora pre štandardné stromové zoznamy. NVDA dokáže oznamovať počet položiek vo vetve pri jej rozbalení. Oznamovaná je tiež úroveň vnorenia a pozícia aktuálnej položky v rámci otvorenej vetvy.
- Prepracované čítanie fokusu pri pohybe v aplikačných oknách a v oknách operačného systému. Teraz okrem informácií o položke, ktorá získa fokus NVDA tiež informuje o položkách, v ktorých je práve aktívna položka vnorená. Napríklad ak sa presuniete na tlačidlo a tlačidlo je súčasťou zoskupenia, bude oznámené aj zoskupenie aj tlačidlo.
- NVDA sa pokúša automaticky prečítať správy v dialógových oknách hneď ako sa objavia. Toto je dostatočne presné vo väčšine prípadov, no žiaľ stále sú aj situácie, ktoré by bolo možné zlepšiť.
- Do dialógu Prezentácia objektov bolo pridané začiarkavacie políčko Oznamovať popis objektov. Skúsení užívatelia by v niektorých situáciách mohli chcieť toto odčiarknúť (najmä v prípade prehliadaní okien java aplikácií).
- V editačných poliach NVDA automaticky oznamuje vybratý text pri získaní fokusu. Ak nie je vybratý žiadny text, NVDA prečíta aktuálny riadok.
- NVDA je teraz viacej ohľaduplný keď pípa pri aktualizácii priebehu. Najpozoruhodnejšie to ovplivňuje prácu v aplikáciách ako napr. lotus symphony alebo accessibility probe.


== Používateľské rozhranie ==
- Bolo odstránené hlavné okno. Nahradené je kontextovým menu..
- Dialóg nastavenia užívateľského rozhrania bol premenovaný na Všeobecné nastavenia. Tiež obsahuje zoznamový rámik, ktorý nastavuje úroveň logovania správ, ktoré sa budú zapisovať do log súboru NVDA. Pozor! súbor bol tiež premenovaný z debug.log na nvda.log.
- Z dialógu prezentácia objektov bolo odstránené začiarkavacie políčko oznamovať názvy zoskupení, pretože oznamovanie zoskupení je už vyriešené inak.



= 0.5 =
- pridaný český preklad a dokumentácia (vďaka Tomáš Valúšek).
- pridaný švédsky preklad (vďaka Daniel Innala).
- prepracovaný skript na oznamovanie času a dátumu.
- NVDA má zabudovaný hlasový výstup eSpeak, ktorý vyvíja Jonathan  Duddington. Je veľmi malý s rýchlou odozvou a podporuje množstvo rôznych jazykov. Sapi kompatibilné Hlasové výstupy môžete stále používať, eSpeak bude nastavený ako predvolený. ESpeak nezávisí na predchádzajúcej inštalácii ďalšieho software, tak že eSpeak môžete použiť na hociktorom počítači z USB kľúčenky alebo proste kdekoľvek. Viacej informácií o eSpeaku ako aj ďalšie verzie nájdete na web stránke http://espeak.sourceforge.net/ .
- Vstavaný eSpeak bude hovoriť v rovnakom jazyku ako je nastavený jazyk NVDA, ak nebol pred tým zvolený iný hlas eSpeaku.
- bola opravená chyba, keď NVDA oznamoval nesprávny znak pri použití klávesu delete v editačných poliach programu internet explorer a Outlook Express.
- Podpora pre viacej editačných polí Skype.
- Virtuálne dokumenty sú načítané len z okna, ktoré má fokus. Toto zamedzí niektoré problémy viditeľné keď je zapnuté okno z náhľadom v programe Outlook Express.
- pridané parametre na použitie z príkazového riadku: -m, --minimal: neprehrávaj zvuky pri spúšťaní/ukončení a nezobrazuj hlavné okno ak je jeho zobrazovanie povolené. -q, --quit: vypne prípadné ďalšie inštancie NVDA a skončí -s, --stderr-file <názov súboru>: špecifikuje cestu k súboru, kde bude NVDA zapisovať nezachytené výnimky a chybové hlásenia -d, --debug-file <názov súboru>: cesta k súboru, do ktorého NVDA ukladá informácie potrebné pre debugovanie -c, --config-file: cesta k prípadnému alternatívnemu konfiguračnému súboru -h, -help: zobrazí pomocný text obsahujúci zoznam argumentov príkazového riadku.
- opravená chyba, keď názvy interpunkčných znakov neboli preložené pri používaní iného ako anglického jazyka a čítanie napísaných znakov bolo zapnuté.
- pridaný slovenský preklad.
- pridané dialógy nastavenia virtuálneho prehliadača a nastavenia formátovania dokumentov.
- pridaný francúzsky preklad (vďaka Michel Such).
- pridaný skript na prepínanie pípania pri aktualizácii priebehu (NVDA+u).
- viacej hlásení NVDA je možné preložiť do cudzích jazykov. Zahŕňa to aj popisy skriptov v režime klávesovej nápovedy.
- do virtuálneho prehliadača pridaný dialóg hľadať. CTRL+f otvorí dialóg, kde môžete napísať text, ktorý si na práve otvorenej stránke želáte vyhľadať. Po stlačení f3 bude vyhľadaný ďalší výskyt toho istého textu.
- Keď je zapnuté čítanie napísaných znakov, viacej z nich môže byť prečítaných. Technicky môžu byť prečítané znaky z ascii kódmi od 32 do 255.
- Premenované názvy niektorých navigačných prvkov pre lepšiu zrozumiteľnosť.
- Pri posúvaní v zobrazení zoznamu a stromovom zozname nie sú čítané názvy položiek (položka zoznamu a položka stromového zoznamu) - umožňuje rýchlejšiu navigáciu.
- vlastnosť Has Popup je prečítaná ako podmenu.
- Niektoré jazyky používajú špeciálny prefix (ctrl+alt alebo alt-GR) na vkladanie niektorých špeciálnych znakov. Ak je čítanie napísaných znakov zapnuté, NVDA dokáže takto napísané znaky oznamovať.
- opravené problémy s čítaním statických textov.
- pridaný preklad do tradičnej čínštiny, (vďaka Coscell Kao).
- reštruktúrovaná časť NVDA kódu, čo môže odstrániť problémy súvisiace s používateľským rozhraním NVDA (napr. problémy s dialógovými oknami nastavení).
- Pridaná podpora sapi4. v súčasnosti obsahuje NVDA 2 ovládače sapi4, prvý je založený na kóde od firmy Serotek, a druhý používajúci objekt ActiveVoice.ActiveVoice. Oba tieto ovládače majú problémy, vyberte si ten, ktorý lepšie funguje s vašou konfiguráciou.
- Pri pokuse o spustenie novej inštancie NVDA bude táto ukončená. Viacej spustených kópií NVDA robilo systém nepoužiteľný.
- premenovaný názov hlavného okna NVDA z rozhranie NVDA len na NVDA.
- opravená chyba, keď pri stlačení klávesu backspace v editačnom poli programu Outlook Express dochádzalo k výnimke.
- Skript od Rui Batista, ktorý oznamuje stav batérie na note bookoch (NVDA+shift+b).
- Pridaný hlasový výstup s názvom ticho. tento ovládač nehovorí nič, umožňuje NVDA ostať úplne v tichosti. Toto by mohlo byť použiteľné spolu s podporou braillských riadkov (keď nejaká bude).
- Pridané nastavenie zmeny výšky hlasu pri veľkých písmenách. (vďaka J.J. Meddaugh).
- pridaný patch od J.J. Meddaugh ktorý upravuje skript na prepínanie oznamovania objektov pod kurzorom myši tak, aby oznamoval zapnuté alebo vypnuté tak ako je to v ostatných prípadoch namiesto zmeny celej hlášky.
- pridaný španielsky preklad (es)  (vďaka Juan C. Buno).
- pridaný maďarský preklad (vďaka Tamas Gczy).
- pridaný portugalsky preklad (vďaka Rui Batista).
- po prepnutí hlasu v dialógu nastavenie hlasu je výška, rýchlosť a hlasitosť nastavená na predvolenú hodnotu práve aktivovaného hlasu namiesto vnucovania predošlých hodnôt. Toto odstraňuje problém, že hlasové výstupy ako eloquence alebo viavoice začali po prepnutí čítať veľmi rýchlo.
- opravená chyba, keď v okne príkazového riadku sa stratila reč alebo NVDA úplne zmrzol.
- NVDA dokáže pri prvom štarte nastaviť jazyk používateľského rozhrania podľa miestnych nastavení windows. Samozrejme len v prípade ak preklad v danom jazyku už existuje. Stále je tiež možné nastaviť jazyk ručne v dialógu nastavenia užívateľského rozhrania.
- pridaný skript 'toggleReportDynamicContentChanges' (NVDA+5). toto zapína alebo vypína či nový text alebo iné dynamické zmeny majú byť oznamované automaticky. zatiaľ to funguje len v okne príkazového riadku.
- pridaný skript 'toggleCaretMovesReviewCursor' (NVDA+6). Toto zapína a prepína či kurzor navigačného objektu má automaticky nasledovať systémový kurzor. je to užitočné v okne príkazového riadku na čítanie textu počas aktualizácie obrazovky.
- pridaný skript 'toggleFocusMovesNavigatorObject' (NVDA+7). Toto prepína či navigačný objekt sa vždy presunie na aktuálny objekt pri zmene fokusu.
- Pridaná dokumentácia v rôznych jazykoch. zatiaľ je tam: francúzština, španielčina, fínčina, čeština a slovenský súbor čítaj ma.
- z binárnej distribúcie boli odstránené poznámky pre vývojárov.
- opravené problémy s windows live messenger a MSN messenger pri prehliadaní kontaktlistu.
- prichádzajúce správy sú automaticky čítané v okne windows live messenger. (funguje len s anglickou verziou).
- História v okne windows live messengeru je čitateľná použitím kurzorových klávesov. (funguje len s anglickou verziou).
- pridaný skript 'passNextKeyThrough' (NVDA+f2). Po stlačení tohoto klávesového príkazu bude ďalší stlačený kláves prepustený windows. Toto je užitočné v prípadoch, keď potrebujete v niektorej aplikácii použiť nejakú klávesovú skratku, ktorú už používa NVDA.
- NVDA viacej nemrzne na dlhšie než minútu pri otváraní veľkých dokumentov v aplikácii  MS Word.
- opravená chyba keď v programe Microsoft Word po opustení tabuľky a opätovnom návrate do tej istej bunky NVDA neprečítal správne súradnice.
- skripty na znižovanie a zvyšovanie tempa hlasového výstupu nemôžu prejsť na hodnoty väčšie než 100 a menšie než 0.
- Ak pri výbere jazyka v okne nastavenia používateľského rozhrania nastane chyba, používateľ je na to upozornený oknom so správou.
- NVDA sa po zmene jazyka v okne nastavenia používateľského rozhrania opýta, či chcete vykonať reštart a uložiť konfiguráciu.
- Pridané okno s chybovou správou ak nie je možné aktivovať hlasový výstup zvolený v okne nastavenia hlasového výstupu. 


